VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "comdlg32.ocx"
Begin VB.Form frmImage 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Commerce Clone Wizard "
   ClientHeight    =   3540
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7470
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3540
   ScaleWidth      =   7470
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog cdlg 
      Left            =   75
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327681
      DefaultExt      =   ".gif"
      DialogTitle     =   "Select A New Image"
      Filter          =   "Images (*.gif; *.bmp;*.jpg)|*.gif;*.bmp;*.jpg"
      FilterIndex     =   1
   End
   Begin VB.PictureBox pic 
      Height          =   1740
      Left            =   3000
      ScaleHeight     =   1680
      ScaleWidth      =   4155
      TabIndex        =   4
      Top             =   375
      Width           =   4215
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H8000000C&
      Height          =   3240
      Left            =   75
      ScaleHeight     =   3180
      ScaleWidth      =   2580
      TabIndex        =   3
      Top             =   150
      Width           =   2640
      Begin VB.Image Image1 
         Height          =   2820
         Left            =   150
         Top             =   150
         Width           =   2265
      End
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next >>"
      Default         =   -1  'True
      Height          =   390
      Left            =   5850
      TabIndex        =   0
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "<< &Back"
      Height          =   390
      Left            =   3225
      TabIndex        =   1
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   390
      Left            =   4575
      TabIndex        =   2
      Top             =   3000
      Width           =   1065
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Double Click Image Below to Select New"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   -1  'True
         Strikethrough   =   0   'False
      EndProperty
      Height          =   165
      Left            =   3000
      TabIndex        =   6
      Top             =   150
      Width           =   4215
   End
   Begin VB.Label lblFileName 
      Alignment       =   2  'Center
      Caption         =   "File Name"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   465
      Left            =   3000
      TabIndex        =   5
      Top             =   2250
      Width           =   4215
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00000000&
      DrawMode        =   1  'Blackness
      X1              =   2880
      X2              =   7305
      Y1              =   2775
      Y2              =   2775
   End
End
Attribute VB_Name = "frmImage"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
' This module will allow the user to select images
' to do this it will move through the mdb and will display all currently selected images
' and allow the user to input changes.  Therefore, the next button will really not move off this
' form until the user has gone through all image possibilities.
Dim mRS         As Recordset
Dim msCurrFile  As String       ' the currently displayed file name

Private Sub cmdBack_Click()
    mRS.MovePrevious
    
    If mRS.BOF Then
        cUtil.MirrorForm Me, frmLogo
    Else
        Call UpdateFormStuff
    End If

End Sub

Private Sub cmdCancel_Click()
    ConfirmCancel
End Sub

Private Sub cmdNext_Click()
    
    mRS.MoveNext
    
    If mRS.EOF Then
        cUtil.MirrorForm Me, frmText
    Else
        Call UpdateFormStuff
    End If
    
End Sub


Private Sub Form_Activate()
    
    If mRS.BOF Then
        mRS.MoveNext
    ElseIf mRS.EOF Then
        mRS.MovePrevious
    End If
    
End Sub

Private Sub Form_Load()
'***********************************************************************************************
' PURPOSE:          Initialize the recordset
' EFFECTS:
' INPUTS:
' RETURNS:
' CALLED FROM:
' AUTHOR DATE:  brucej  10/14/97
' REV:
'***********************************************************************************************
On Error GoTo Form_Load_Err:
Dim sql                 As String

'***********************************************************************************************
    
    Image1 = LoadPicture(LOGO)
    
    sql = "SELECT * FROM tblMain WHERE bytType=1;"
    Set mRS = db.OpenRecordset(sql, dbOpenDynaset)
    
    Call UpdateFormStuff
    
'***********************************************************************************************
Form_Load_bye:
    Exit Sub
Form_Load_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "Form_Load"
    GoTo Form_Load_bye
#End If
End Sub

Private Sub UpdateFormStuff()
'***********************************************************************************************
' PURPOSE:      will set the form and label captions on the form as we move through the recordset
'               Uses the module level recordset object
' EFFECTS:      this form
' AUTHOR DATE:  brucej  10/14/97
' REV:
'***********************************************************************************************
On Error GoTo UpdateFormStuff_Err:
'***********************************************************************************************
    Me.Caption = mRS!strFormCaption & vbNullString
    msCurrFile = UCase(cFile.GetFileFromPath(mRS!memNewSetup))
    Me.lblFileName.Caption = mRS!strLabelCaption & " file name: " & msCurrFile
    pic.Picture = LoadPicture(mRS!memNewSetup)
'***********************************************************************************************
UpdateFormStuff_bye:
    Exit Sub
UpdateFormStuff_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "UpdateFormStuff"
    GoTo UpdateFormStuff_bye
    Resume
#End If

End Sub

Private Sub pic_DblClick()
'***********************************************************************************************
' PURPOSE:      will allow the user to select a new image and will then update the db and show
'               the image
' EFFECTS:      the db, display
' AUTHOR DATE:  brucej  10/14/97
' REV:          Brucej  11/13/97 added support for common dialog sticky paths
'***********************************************************************************************
On Error GoTo pic_DblClick_Err:
'***********************************************************************************************
    '// allow the user to select new image
    If mRS.BOF Then mRS.MoveFirst
    If mRS.EOF Then mRS.MovePrevious
    s = mRS!memNewSetup
    With cdlg
        '// the next if routine will cause the app to remember the last user selected path
        '// and file name.  by remming out or deleting the lines, the app will pull the path
        '// from the db.
        If .InitDir = vbNullString Then
            .InitDir = cFile.GetDirectoryFromPathFileName(s)
            .filename = cFile.GetFileFromPath(s)
        End If
        .ShowOpen
        If .filename = vbNullString Then Exit Sub
        s = .filename
        '// fix the common dialog path settings
        .InitDir = cFile.GetDirectoryFromPathFileName(s)
        .filename = cFile.GetFileFromPath(s)
    End With
    '// load the picture
    If Not cFiles.Exists(s) Then
        MsgBox "Please select an image, the path and file: " & s & " is not valid.", vbOKOnly, MSG_CAPTION
        Exit Sub
    End If
    pic.Picture = LoadPicture(s)
    '// change the ini file
    Call UpdateNewSetupInDB(s, mRS!lkey)

    '// display the selected file name
    msCurrFile = UCase(cFile.GetFileFromPath(mRS!memNewSetup))
    lblFileName.Caption = mRS!strLabelCaption & " file name: " & msCurrFile

'***********************************************************************************************
pic_DblClick_bye:
    Exit Sub
pic_DblClick_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "pic_DblClick"
    GoTo pic_DblClick_bye
#End If
End Sub
