VERSION 5.00
Begin VB.Form frmStoreName 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Commerce Clone Wizard - Enter a Store Name"
   ClientHeight    =   3540
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7470
   Icon            =   "frmStoreName.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3540
   ScaleWidth      =   7470
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtShortName 
      Height          =   315
      Left            =   3000
      TabIndex        =   1
      Tag             =   "Store Short Name"
      Top             =   810
      Width           =   4215
   End
   Begin VB.TextBox txtStoreLongName 
      Height          =   315
      Left            =   3000
      TabIndex        =   0
      Tag             =   "Store Friendly Name"
      Top             =   150
      Width           =   4215
   End
   Begin VB.ComboBox cboStoreList 
      Height          =   315
      ItemData        =   "frmStoreName.frx":0442
      Left            =   3000
      List            =   "frmStoreName.frx":0444
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Tag             =   "Existing Store List"
      Top             =   1500
      Width           =   4215
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   390
      Left            =   4575
      TabIndex        =   5
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "<< &Back"
      Enabled         =   0   'False
      Height          =   390
      Left            =   3225
      TabIndex        =   4
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next >>"
      Default         =   -1  'True
      Height          =   390
      Left            =   5850
      TabIndex        =   3
      Top             =   3000
      Width           =   1065
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H8000000C&
      Height          =   3240
      Left            =   75
      ScaleHeight     =   3180
      ScaleWidth      =   2580
      TabIndex        =   6
      Top             =   150
      Width           =   2640
      Begin VB.Image Image1 
         Height          =   3015
         Left            =   75
         Top             =   75
         Width           =   2430
      End
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Caption         =   "The next section will allow you to customize the look of the new web site.  "
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   390
      Left            =   2850
      TabIndex        =   10
      Top             =   2250
      Width           =   4365
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "Enter Your Stores Program (Short) Name"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Index           =   1
      Left            =   3000
      TabIndex        =   9
      Top             =   1185
      Width           =   4215
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "Enter Your Stores Friendly Name"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Index           =   0
      Left            =   3000
      TabIndex        =   8
      Top             =   480
      Width           =   4215
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Existing Store List"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Left            =   3000
      TabIndex        =   7
      Top             =   1845
      Width           =   4215
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00000000&
      DrawMode        =   1  'Blackness
      X1              =   2880
      X2              =   7305
      Y1              =   2775
      Y2              =   2775
   End
End
Attribute VB_Name = "frmStoreName"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim vAllStores          As Variant

Private Sub cmdBack_Click()
    'once the user selects the store, variables are initialized and so don't let them choose another one
     'If CheckName Then cUtil.MirrorForm Me, frmChooseStore
End Sub

Private Sub cmdCancel_Click()
    ConfirmCancel
End Sub

Private Sub cmdNext_Click()
Dim msg As String
    
    If cUtil.ValidateBox(Me, cboStoreList) Then Exit Sub
    If cUtil.ValidateBox(Me, txtStoreLongName) Then Exit Sub
    If cUtil.ValidateBox(Me, txtShortName) Then Exit Sub
    
    '// 09/25 Rev ***
    '// decided that once the user has a store name, we should go ahead and copy the store to the new
    '// template directory and do all our work from there.  This will also allow us later to copy the
    '// store to another server.  The frmMakeTemplate now becomes a misnomer.
    
    gsStoreShortName = txtShortName
    
    If CheckName Then
        #If debugme Then
            Stop
        #End If
    Else
        If CheckTemplateExists Then
            msg = "The " & gsStoreShortName & " store already exists." & vbCrLf
            msg = msg & "Click 'Yes' to use the existing store." & vbCrLf
            msg = msg & "Click 'No' to overwrite the existing store." & vbCrLf
            msg = msg & "Click 'Cancel' to exit." & vbCrLf & vbCrLf
            msg = msg & "Do you want to use the existing store?"
            Select Case MsgBox(msg, vbExclamation + vbYesNoCancel + vbDefaultButton1, MSG_CAPTION)
                Case vbYes
                    InitializeExistingStore
                Case vbNo
                    InitializeNewStore
                Case vbCancel
                    End
            End Select
        Else
            InitializeNewStore
        End If
        cUtil.MirrorForm Me, frmBackground
    End If
    
End Sub

Private Sub Form_Load()
'***********************************************************************************************
' AUTHOR DATE:  brucej  Sept ' 97
' REV:
'***********************************************************************************************
Dim vstore
'***********************************************************************************************
On Error Resume Next
    vAllStores = cMall.GetInstalledStores
On Error GoTo Form_Load_Err:
    Image1 = LoadPicture(LOGO)
    For Each vstore In vAllStores
        cboStoreList.AddItem vstore
    Next
    
    cboStoreList.ListIndex = 0

'***********************************************************************************************
Form_Load_bye:
    Exit Sub
Form_Load_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "Form_Load"
    GoTo Form_Load_bye
#End If
End Sub

Private Function CheckName() As Boolean
'***********************************************************************************************
' make sure that the name is not in use...
' true if error
' AUTHOR DATE:  brucej  Sept ' 97
' REV:          09/25 - added check for template...
'***********************************************************************************************
On Error GoTo CheckName_Err:
Dim colBluePrintStores
Dim vstore
'***********************************************************************************************
    
    ' vAllStores are the stores themselves
    For Each vstore In vAllStores
        If UCase(txtShortName.Text) = UCase(CStr(vstore)) Then
           MsgBox "You have selected a store short name that already exists." & vbCrLf & "Check the Existing Store List and Try Again.", vbOKOnly, MSG_CAPTION
           txtShortName.Text = vbNullString
           txtShortName.SetFocus
           CheckName = True
           Exit Function
        End If
    Next

'***********************************************************************************************
CheckName_bye:
    Exit Function
CheckName_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "CheckName"
    GoTo CheckName_bye
#End If
End Function


Private Function CheckTemplateExists() As Boolean
' checks for template name dupe
' returns true if dupe
Dim vTemplateStores             As Variant
Dim sUpperShortName             As String
Dim vstore
    
    sUpperShortName = UCase(gsStoreShortName)
    vTemplateStores = cMall.GetTemplateStores
    For Each vstore In vTemplateStores
        If UCase(vstore) = sUpperShortName Then
            CheckTemplateExists = True
            Exit Function
        End If
    Next
End Function


Private Sub InitializeExistingStore()

    gsTemplatePath = cMall.TemplateStoresDirectory
    gsTemplatePath = cFile.AddBackSlash(gsTemplatePath) & gsStoreShortName
    gsTemplatePath = cFile.AddBackSlash(gsTemplatePath)
    Call InitializeDB

End Sub
Sub InitializeNewStore()
'***********************************************************************************************
' PURPOSE:      Had this all scattered around. Put here for ease of use.  This module will contain
'               code that will initialize the new store.
' AUTHOR DATE:  brucej 09/25/97
' REV:
'***********************************************************************************************
On Error GoTo InitializeNewStore_Err:
Dim sTargetDir      As String
Dim sSourceDir      As String
Dim scmdString      As String
'***********************************************************************************************
    '// first, xcopy the store to the new directory location
    sTargetDir = cMall.TemplateStoresDirectory
    gsTemplatePath = sTargetDir & WACK & frmChooseStore.lstStore & WACK
    sTargetDir = cFile.AddBackSlash(sTargetDir) & gsStoreShortName
    sTargetDir = cFile.AddBackSlash(sTargetDir)
    sSourceDir = gsTemplatePath
    sSourceDir = cFile.RemoveBackSlash(sSourceDir)
    gsTemplatePath = sTargetDir
    
    Call CheckForFile(sSourceDir)
    
    scmdString = "xcopy " & Chr$(34) & sSourceDir & Chr$(34) & " " & Chr$(34) & sTargetDir
    scmdString = scmdString & Chr$(34) & " /e /i"
    cUtil.ShellAndWait (scmdString)
   
    Call InitializeDB
    FixInfDefaultDirectory
    
'***********************************************************************************************
InitializeNewStore_bye:
    Exit Sub
InitializeNewStore_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "InitializeNewStore"
    GoTo InitializeNewStore_bye
#End If
End Sub
Private Sub FixInfDefaultDirectory()
'***********************************************************************************************
' PURPOSE:      When we copy the new store or template inf, we need to replace the directory
'               placeholders in the file to point to the commerce directory on this machine.
' EFFECTS:      the new inf file - does not change the original store.inf file
' INPUTS:       nothing, gets the value from the global variable gsStoreInf
' CALLED FROM:  Private Sub Form_Activate() in this module
' AUTHOR DATE:  brucej  Sept ' 97
' REV:          brucej  10/22/97  the move to the db didn't allow us to use new templates as
'               templates and so changed the tblfiles table to accomodate
'***********************************************************************************************
On Error GoTo FixInfDefaultDirectory_Err:
Const COMMERCE_DIR                  As String = "%%CommerceDir%%"
Const STORE                         As String = "%%Store%%"
Dim rs                              As Recordset
Dim sRecordStuff                    As String       ' text from the inf file held in this var
'***********************************************************************************************

    s = gsTemplatePath
    i = InStr(1, s, "\Server", vbTextCompare)
    If i = 0 Then
        MsgBox "There is an error with the ini file: " & gsTemplatePath & "." & vbCrLf & "Shutting Down.", vbCritical, MSG_CAPTION
        End
    End If
    s = Left$(s, i)
    
    '///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    '   This is the first time through the mdb and so we need to initialize it.  First, we need to replace tags there that were
    '   placed there to insure that the template is portable.  So, we have tags for the directory name of the commerce site.  Alos,
    '   have tags for the store name.  Finally, NOTE: the Current Setup stuff shows what we have currently.  However, each of the
    '   following choice windows will use the New Setup field to display so at this initialization step, we should copy over the
    '   Current Setup to New Setup fields as well.
    '///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    
    Set rs = db.OpenRecordset("tblMain", dbOpenTable, dbForwardOnly)
    With rs
        Do Until .EOF
            If Not IsNull(!memCurrentSetup) Then
                sRecordStuff = !memCurrentSetup
                .Edit
                If InStr(sRecordStuff, COMMERCE_DIR) Then
                    Call cUtil.ReplaceString(sRecordStuff, COMMERCE_DIR, s)
                    Call cUtil.ReplaceString(sRecordStuff, STORE, gsStoreShortName)
                    Call cUtil.ReplaceString(sRecordStuff, WACK & WACK, WACK)
                    !memCurrentSetup = sRecordStuff
                End If
                !memNewSetup = sRecordStuff
                .Update
            End If
            .MoveNext
        Loop
        .Close
    End With
    '// ok so now fix the files table
    Set rs = db.OpenRecordset("tblFiles", dbOpenTable, dbForwardOnly)
    With rs
        Do Until .EOF
            sRecordStuff = !txtFileNameTemplate
            .Edit
            If InStr(sRecordStuff, COMMERCE_DIR) Then
                Call cUtil.ReplaceString(sRecordStuff, COMMERCE_DIR, s)
                Call cUtil.ReplaceString(sRecordStuff, STORE, gsStoreShortName)
                Call cUtil.ReplaceString(sRecordStuff, WACK & WACK, WACK)
                !txtFileName = sRecordStuff
            End If
            .Update
            .MoveNext
        Loop
        .Close
    End With
    
    
'***********************************************************************************************
FixInfDefaultDirectory_bye:
    On Error Resume Next
    rs.Close: Set rs = Nothing
    Exit Sub
    Resume
FixInfDefaultDirectory_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "FixInfDefaultDirectory"
    GoTo FixInfDefaultDirectory_bye
    
#End If
End Sub

Private Sub InitializeDB()
'***********************************************************************************************
' PURPOSE:      will initialize the global db object so can open recordsets and stuff
' EFFECTS:
' INPUTS:
' RETURNS:
' CALLED FROM:
' AUTHOR DATE:  brucej  10/13/97
' REV:
'***********************************************************************************************
On Error GoTo InitializeDB_Err:
Dim dbPath      As String                       ' path and file name of mdb for this store
'***********************************************************************************************
    dbPath = gsTemplatePath & "store.mdb"
    Set db = OpenDatabase(dbPath)
    Set gRS = db.OpenRecordset("tblMain", dbOpenTable, dbReadOnly)
'***********************************************************************************************
InitializeDB_bye:
    Exit Sub
InitializeDB_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "InitializeDB"
    GoTo InitializeDB_bye
#End If
End Sub
