VERSION 5.00
Begin VB.Form frmText 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Commerce Clone Wizard "
   ClientHeight    =   3540
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7470
   Icon            =   "frmText.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3540
   ScaleWidth      =   7470
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox Picture1 
      BackColor       =   &H8000000C&
      Height          =   3240
      Left            =   75
      ScaleHeight     =   3180
      ScaleWidth      =   2580
      TabIndex        =   5
      Top             =   150
      Width           =   2640
      Begin VB.Image Image1 
         Height          =   2820
         Left            =   150
         Top             =   150
         Width           =   2265
      End
   End
   Begin VB.TextBox txt 
      Height          =   2205
      Left            =   3000
      MultiLine       =   -1  'True
      TabIndex        =   3
      Top             =   150
      Width           =   4215
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next >>"
      Default         =   -1  'True
      Height          =   390
      Left            =   5850
      TabIndex        =   0
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "<< &Back"
      Height          =   390
      Left            =   3225
      TabIndex        =   1
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   390
      Left            =   4575
      TabIndex        =   2
      Top             =   3000
      Width           =   1065
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Edit or Enter New Text Above"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Left            =   3045
      TabIndex        =   4
      Top             =   2445
      Width           =   4215
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00000000&
      DrawMode        =   1  'Blackness
      X1              =   2880
      X2              =   7305
      Y1              =   2775
      Y2              =   2775
   End
End
Attribute VB_Name = "frmText"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim mRS             As Recordset
Dim msText          As String

Private Sub cmdBack_Click()
    
    Call UpdateIt
    
    mRS.MovePrevious
    
    If mRS.BOF Then
        cUtil.MirrorForm Me, frmImage
    Else
        Call UpdateFormStuff
    End If

End Sub

Private Sub cmdCancel_Click()
    ConfirmCancel
End Sub

Private Sub cmdNext_Click()
    
    Call UpdateIt
    
    mRS.MoveNext
    
    If mRS.EOF Then
        mRS.MovePrevious  ' if we don't do this then the lost focus won't get it right
        cUtil.MirrorForm Me, frmMakeTemplate
    Else
        Call UpdateFormStuff
    End If

End Sub

Private Sub Form_Activate()
    
    If mRS.BOF Then
        mRS.MoveNext
    ElseIf mRS.EOF Then
        mRS.MovePrevious
    End If

End Sub

Private Sub Form_Load()
'***********************************************************************************************
' PURPOSE:          Initialize the recordset
' AUTHOR DATE:      brucej  10/14/97
' REV:
'***********************************************************************************************
On Error GoTo Form_Load_Err:
Dim sql                 As String
'***********************************************************************************************
    
    Image1 = LoadPicture(LOGO)
    
    sql = "SELECT * FROM tblMain WHERE bytType=3;"
    Set mRS = db.OpenRecordset(sql, dbOpenDynaset)
    
    Call UpdateFormStuff
    
'***********************************************************************************************
Form_Load_bye:
    Exit Sub
Form_Load_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "Form_Load"
    GoTo Form_Load_bye
#End If
End Sub

Private Sub UpdateFormStuff()
'***********************************************************************************************
' PURPOSE:      will set the form and label captions on the form as we move through the recordset
'               Uses the module level recordset object
' EFFECTS:      this form
' AUTHOR DATE:  brucej  10/14/97
' REV:
'***********************************************************************************************
On Error GoTo UpdateFormStuff_Err:
'***********************************************************************************************
    
    Me.Caption = mRS!strFormCaption & vbNullString
    Me.txt.Text = mRS!memNewSetup & vbNullString
    
'***********************************************************************************************
UpdateFormStuff_bye:
    Exit Sub
UpdateFormStuff_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "UpdateFormStuff"
    GoTo UpdateFormStuff_bye
#End If
End Sub

Private Sub UpdateIt()
    
    If msText <> txt.Text Then
        msText = txt.Text
        Call UpdateNewSetupInDB(msText, mRS!lkey)
    End If
    
End Sub
