VERSION 5.00
Begin VB.Form frmDestServer 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   3555
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7530
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3555
   ScaleWidth      =   7530
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtDestVirtualWeb 
      BackColor       =   &H8000000B&
      Enabled         =   0   'False
      Height          =   315
      Index           =   3
      Left            =   5520
      TabIndex        =   8
      Top             =   1560
      Width           =   480
   End
   Begin VB.TextBox txtDestVirtualWeb 
      BackColor       =   &H8000000B&
      Enabled         =   0   'False
      Height          =   315
      Index           =   2
      Left            =   4920
      TabIndex        =   7
      Top             =   1560
      Width           =   480
   End
   Begin VB.TextBox txtDestVirtualWeb 
      BackColor       =   &H8000000B&
      Enabled         =   0   'False
      Height          =   315
      Index           =   1
      Left            =   4320
      TabIndex        =   6
      Top             =   1560
      Width           =   480
   End
   Begin VB.TextBox txtDestVirtualWeb 
      BackColor       =   &H8000000B&
      Enabled         =   0   'False
      Height          =   315
      Index           =   0
      Left            =   3720
      TabIndex        =   5
      Top             =   1560
      Width           =   480
   End
   Begin VB.OptionButton optDestVirtualWeb 
      Caption         =   "optVirtualWeb"
      Height          =   255
      Index           =   1
      Left            =   3600
      TabIndex        =   3
      Top             =   1200
      Width           =   255
   End
   Begin VB.OptionButton optDestVirtualWeb 
      Caption         =   "optDefaultWeb"
      Height          =   255
      Index           =   0
      Left            =   3600
      TabIndex        =   1
      Top             =   840
      Value           =   -1  'True
      Width           =   255
   End
   Begin VB.CheckBox chkDestWebRestart 
      Height          =   255
      Left            =   3600
      TabIndex        =   9
      Top             =   2280
      Width           =   255
   End
   Begin VB.TextBox txtDestServer 
      Height          =   350
      Left            =   3600
      TabIndex        =   0
      Top             =   120
      Width           =   3000
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next >>"
      Default         =   -1  'True
      Height          =   390
      Left            =   5850
      TabIndex        =   12
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "<< &Back"
      Height          =   390
      Left            =   3225
      TabIndex        =   11
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   390
      Left            =   4575
      TabIndex        =   13
      Top             =   3000
      Width           =   1065
   End
   Begin VB.Image Image1 
      Height          =   2820
      Left            =   300
      Stretch         =   -1  'True
      Top             =   300
      Width           =   2265
   End
   Begin VB.Label Label4 
      Alignment       =   2  'Center
      Caption         =   "Enter virtual web root IP (i.e. 192.168.55.100)"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Left            =   3000
      TabIndex        =   15
      Top             =   1920
      Width           =   4305
   End
   Begin VB.Label Label3 
      Caption         =   "use specific virtual web root"
      Height          =   255
      Left            =   3960
      TabIndex        =   4
      Top             =   1200
      Width           =   2895
   End
   Begin VB.Label Label2 
      Caption         =   "use default virtual web root"
      Height          =   255
      Left            =   3960
      TabIndex        =   2
      Top             =   840
      Width           =   2895
   End
   Begin VB.Label Label12 
      Caption         =   "Do a Web Restart to apply new settings?"
      Height          =   255
      Left            =   3960
      TabIndex        =   10
      Top             =   2280
      Width           =   3135
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00000000&
      DrawMode        =   1  'Blackness
      X1              =   2880
      X2              =   7425
      Y1              =   2775
      Y2              =   2775
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Enter a Destination Store Server"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Left            =   3120
      TabIndex        =   14
      Top             =   480
      Width           =   4065
   End
End
Attribute VB_Name = "frmDestServer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    Me.Caption = MSGBOX_TITLE & " - Select Destination Store Server"
    gbPingDestServer = True
    Image1 = LoadPicture(gLogo)
End Sub

Private Sub cmdBack_Click()
    Call oUtility.MirrorForm(Me, frmSrcStore)
End Sub

Private Sub cmdCancel_Click()
    End
End Sub

Private Sub cmdNext_Click()
    If oUtility.ValidateBox(Me, txtDestServer) Then Exit Sub
    gsDestServer = txtDestServer
    
    If (gbPingDestServer) Then
        If gsDestServer = gsSrcServer Then
            Call MsgBox("You entered the same name for you Destination Server " & _
                        "as you did for your Source Store Server, please resolve this " & _
                        "name conflict and then click NEXT to proceed.", _
                         vbOKOnly, MSGBOX_TITLE)
            Exit Sub
        End If

        frmStatus.lblMessage = "Testing connection to " & Chr(34) & gsDestServer & Chr(34)
        frmStatus.ProgressBar.Value = 10
        frmStatus.Show
        frmStatus.Refresh
        oUtility.Pause (PROGRESS_PAUSE)
        frmStatus.ProgressBar.Value = 35
        
        oAdsi.NameSpace = NAME_SPACE
        iRet = oAdsi.CheckIfExists(gsDestServer)
        
        frmStatus.ProgressBar.Value = 75
        oUtility.Pause (PROGRESS_PAUSE)
        frmStatus.ProgressBar.Value = 100
        oUtility.Pause (PROGRESS_PAUSE)
        
        If (iRet = FAILURE) Then
            sErrInfo = "Contacting " & _
                         Chr(34) & gsDestServer & Chr(34) & " " & _
                        "failed, please check that this server it is currently available."
            frmStatus.lblMessage = sErrInfo
            oUtility.Pause (ERROR_PAUSE)
            frmStatus.Hide
            Exit Sub
        Else
            frmStatus.lblMessage = "Contacting Destination Server " & _
                                    Chr(34) & gsDestServer & Chr(34) & " " & _
                                   "was successful."
            gbPingDestServer = False
            oUtility.Pause (INFO_PAUSE)
            frmStatus.Hide
        End If
    End If
    
    If (optDestVirtualWeb(1).Value) Then
        '// If oUtility.ValidateBox(Me, txtDestVirtualWeb) Then Exit Sub
        If (txtDestVirtualWeb(0) = vbNullString Or _
            txtDestVirtualWeb(1) = vbNullString Or _
            txtDestVirtualWeb(1) = vbNullString Or _
            txtDestVirtualWeb(1) = vbNullString) Then
            Call MsgBox("Missing pieces of the Virtual Web Root IP, " & _
                        "please correct to continue.", _
                         vbOKOnly, MSGBOX_TITLE)
            Exit Sub
        Else
            '// setup virtual web ip string
            gsDestVirtualWeb = txtDestVirtualWeb(0) & "." & _
                               txtDestVirtualWeb(1) & "." & _
                               txtDestVirtualWeb(2) & "." & _
                               txtDestVirtualWeb(3)
        End If
    Else
        gsDestVirtualWeb = vbNullString
    End If
    
    If (chkDestWebRestart.Value = 1) Then
       gsDestWebReStart = True
    Else
       gsDestWebReStart = False
    End If
    
    Call oUtility.MirrorForm(Me, frmDestDbServer)
End Sub

Private Sub optDestVirtualWeb_Click(Index As Integer)
    Select Case Index
    Case 0
        txtDestVirtualWeb(0).Enabled = False
        txtDestVirtualWeb(0).BackColor = &H8000000B
        txtDestVirtualWeb(1).Enabled = False
        txtDestVirtualWeb(1).BackColor = &H8000000B
        txtDestVirtualWeb(2).Enabled = False
        txtDestVirtualWeb(2).BackColor = &H8000000B
        txtDestVirtualWeb(3).Enabled = False
        txtDestVirtualWeb(3).BackColor = &H8000000B
    Case 1
        txtDestVirtualWeb(0).Enabled = True
        txtDestVirtualWeb(0).BackColor = &H80000005
        txtDestVirtualWeb(1).Enabled = True
        txtDestVirtualWeb(1).BackColor = &H80000005
        txtDestVirtualWeb(2).Enabled = True
        txtDestVirtualWeb(2).BackColor = &H80000005
        txtDestVirtualWeb(3).Enabled = True
        txtDestVirtualWeb(3).BackColor = &H80000005
    End Select
End Sub

Private Sub txtDestServer_Change()
    gbPingDestServer = True
End Sub

