VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "comdlg32.ocx"
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.2#0"; "COMCTL32.OCX"
Begin VB.MDIForm frmMain 
   BackColor       =   &H8000000C&
   Caption         =   "CloneWizDB"
   ClientHeight    =   4995
   ClientLeft      =   165
   ClientTop       =   450
   ClientWidth     =   8880
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   2  'CenterScreen
   Begin ComctlLib.StatusBar sbStatusBar 
      Align           =   2  'Align Bottom
      Height          =   270
      Left            =   0
      TabIndex        =   0
      Top             =   4725
      Width           =   8880
      _ExtentX        =   15663
      _ExtentY        =   476
      SimpleText      =   ""
      _Version        =   327682
      BeginProperty Panels {0713E89E-850A-101B-AFC0-4210102A8DA7} 
         NumPanels       =   3
         BeginProperty Panel1 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   1
            Object.Width           =   10028
            Text            =   "Status"
            TextSave        =   "Status"
            Object.Tag             =   ""
         EndProperty
         BeginProperty Panel2 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            Style           =   6
            AutoSize        =   2
            TextSave        =   "11/14/97"
            Object.Tag             =   ""
         EndProperty
         BeginProperty Panel3 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            Style           =   5
            AutoSize        =   2
            TextSave        =   "9:57 AM"
            Object.Tag             =   ""
         EndProperty
      EndProperty
   End
   Begin MSComDlg.CommonDialog dlgCommonDialog 
      Left            =   225
      Top             =   75
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327681
      DialogTitle     =   "Select a Directory to Save the New Store.mdb file"
      FileName        =   "Store.mdb"
   End
   Begin VB.Menu mnuOpen 
      Caption         =   "&Open Existing Database"
   End
   Begin VB.Menu mnuViewData 
      Caption         =   "&View"
      Begin VB.Menu mnuViewDatatblChoices 
         Caption         =   "tblChoices"
      End
      Begin VB.Menu mnuViewDatatblFileAssociations 
         Caption         =   "tblFileAssociations"
      End
      Begin VB.Menu mnuViewDatatblFiles 
         Caption         =   "tblFiles"
      End
      Begin VB.Menu mnuViewDatatblMain 
         Caption         =   "tblMain"
      End
      Begin VB.Menu mnuViewDatatblTypes 
         Caption         =   "tblTypes"
      End
      Begin VB.Menu mnuViewDataqryMoveInfo 
         Caption         =   "qryMoveInfo"
      End
      Begin VB.Menu mnuViewDataqryBackGroundColors 
         Caption         =   "qryBackGroundColors"
      End
   End
   Begin VB.Menu mnuWindow 
      Caption         =   "&Window"
      WindowList      =   -1  'True
      Begin VB.Menu mnuWindowCascade 
         Caption         =   "&Cascade"
      End
      Begin VB.Menu mnuWindowTileHorizontal 
         Caption         =   "Tile &Horizontal"
      End
      Begin VB.Menu mnuWindowTileVertical 
         Caption         =   "Tile &Vertical"
      End
   End
   Begin VB.Menu mnuFileExit 
      Caption         =   "E&xit"
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub MDIForm_Load()
Dim msg                 As String

    Me.Left = GetSetting(App.Title, "Settings", "MainLeft", 1000)
    Me.Top = GetSetting(App.Title, "Settings", "MainTop", 1000)
    Me.Width = GetSetting(App.Title, "Settings", "MainWidth", 6500)
    Me.Height = GetSetting(App.Title, "Settings", "MainHeight", 6500)
    Call mnuOpen_Click
    
End Sub

Private Sub MDIForm_Unload(Cancel As Integer)
    If Me.WindowState <> vbMinimized Then
        SaveSetting App.Title, "Settings", "MainLeft", Me.Left
        SaveSetting App.Title, "Settings", "MainTop", Me.Top
        SaveSetting App.Title, "Settings", "MainWidth", Me.Width
        SaveSetting App.Title, "Settings", "MainHeight", Me.Height
    End If
End Sub

Private Sub mnuWindowArrangeIcons_Click()
    Me.Arrange vbArrangeIcons
End Sub

Private Sub mnuOpen_Click()
Dim f As Form
    
    '// choose a store
    With dlgCommonDialog
        .filename = "Store.mdb"
        .DialogTitle = "Please select and existing store database."
        .Filter = "Store MDB (Store Template Database)|store.mdb"
        .CancelError = True
        On Error Resume Next
        .ShowOpen
        If Err.Number = cdlCancel Then Exit Sub
        Err.Clear
        gsDatabase = .filename
    End With
    '// unload current forms
    For Each f In Forms
        If f.Name = "frmDataGrid" Then Unload f
    Next
    OpenGrid "tblMain"
    OpenGrid "tblFiles"
    OpenGrid "tblFileAssociations"
    Me.Arrange vbTileHorizontal
End Sub

Private Sub mnuViewDataqryBackGroundColors_Click()
    OpenGrid "qryBackGroundColors"
End Sub

Private Sub OpenGrid(sQueryName As String)
Dim f As Form
Dim v
    For Each v In Forms
        If v.Tag = sQueryName Then
            MsgBox "The grid for " & sQueryName & " is already loaded.", vbOKOnly, "Clone Wizard DB"
            v.SetFocus
            Exit Sub
        End If
    Next
    gsRecordsource = sQueryName
    Set f = New frmDataGrid
    f.Show
            
End Sub

Private Sub mnuViewDataqryMoveInfo_Click()
    OpenGrid "qryMoveInfo"
End Sub

Private Sub mnuViewDatatblChoices_Click()
    OpenGrid "tblChoices"
End Sub

Private Sub mnuViewDatatblFileAssociations_Click()
    OpenGrid "tblFileAssociations"
End Sub

Private Sub mnuViewDatatblFiles_Click()
    OpenGrid "tblFiles"
End Sub

Private Sub mnuViewDatatblMain_Click()
    OpenGrid "tblMain"
End Sub

Private Sub mnuViewDatatblTypes_Click()
    OpenGrid "tblTypes"
End Sub

Private Sub mnuWindowCascade_Click()
    Me.Arrange vbCascade
End Sub

Private Sub mnuWindowTileHorizontal_Click()
    Me.Arrange vbTileHorizontal
End Sub

Private Sub mnuWindowTileVertical_Click()
    Me.Arrange vbTileVertical
End Sub

Private Sub mnuFileSaveAs_Click()
    dlgCommonDialog.ShowSave
End Sub

Private Sub mnuFileExit_Click()
    Unload Me
End Sub

