VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "comdlg32.ocx"
Object = "{EAB22AC0-30C1-11CF-A7EB-0000C05BAE0B}#1.1#0"; "shdocvw.dll"
Begin VB.Form frmBackground 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Commerce Clone Wizard - Choose Background Color or Image"
   ClientHeight    =   3540
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7470
   Icon            =   "frmChooseBackground.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3540
   ScaleWidth      =   7470
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin SHDocVwCtl.WebBrowser WebThing 
      Height          =   2940
      Left            =   150
      TabIndex        =   7
      Top             =   300
      Width           =   2430
      ExtentX         =   4286
      ExtentY         =   5186
      ViewMode        =   1
      Offline         =   0
      Silent          =   0
      RegisterAsBrowser=   0
      RegisterAsDropTarget=   0
      AutoArrange     =   -1  'True
      NoClientEdge    =   -1  'True
      AlignLeft       =   0   'False
      ViewID          =   "{0057D0E0-3573-11CF-AE69-08002B2E1262}"
      Location        =   ""
   End
   Begin VB.CommandButton cmdSelectImage 
      Caption         =   "&Select a Background Image"
      Height          =   540
      Left            =   4125
      TabIndex        =   6
      Top             =   975
      Visible         =   0   'False
      Width           =   2190
   End
   Begin VB.ComboBox cboBackground 
      Height          =   1935
      Left            =   3000
      Sorted          =   -1  'True
      Style           =   1  'Simple Combo
      TabIndex        =   5
      Top             =   180
      Width           =   4215
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   390
      Left            =   4575
      TabIndex        =   2
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "<< &Back"
      Height          =   390
      Left            =   3225
      TabIndex        =   1
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next >>"
      Default         =   -1  'True
      Height          =   390
      Left            =   5850
      TabIndex        =   0
      Top             =   3000
      Width           =   1065
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H8000000C&
      Height          =   3240
      Left            =   75
      ScaleHeight     =   3180
      ScaleWidth      =   2580
      TabIndex        =   3
      Top             =   150
      Width           =   2640
   End
   Begin MSComDlg.CommonDialog cdlg 
      Left            =   75
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327681
      DefaultExt      =   ".gif"
      DialogTitle     =   "Select a Background Image"
      Filter          =   "Images (*.gif; *.bmp;*.jpg)|*.gif;*.bmp;*.jpg"
   End
   Begin VB.Label lblColor 
      Alignment       =   2  'Center
      Caption         =   "Select a color (current color is at the top)"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Left            =   3075
      TabIndex        =   4
      Top             =   2340
      Width           =   4230
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00000000&
      DrawMode        =   1  'Blackness
      X1              =   2880
      X2              =   7305
      Y1              =   2775
      Y2              =   2775
   End
End
Attribute VB_Name = "frmBackground"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const BACKGROUND            As String = "1"
Private Const DASH                  As String = " - "

Private msAllTemplateText           As String
Private fBackImage                  As Boolean              ' true if this is a background image instead of just color
Private msBackgroundImage           As String

Private Sub cboBackground_Click()
Dim sColorStuff                     As String
    
    sColorStuff = cboBackground
    sColorStuff = cUtil.ParseToken(sColorStuff, COMMA)
    FixTestFile (sColorStuff)

End Sub

Private Sub cmdSelectImage_Click()
    
    s = gRS!memNewSetup & vbNullString
    Call CheckForFile(s)
    cdlg.InitDir = cFile.GetDirectoryFromPathFileName(s)
    cdlg.filename = cFile.GetFileFromPath(s)
    cdlg.ShowOpen
    
    s = cdlg.filename
       
    If s = vbNullString Then
        MsgBox "You did not choose a file, the default file will be used.", vbOKOnly, MSG_CAPTION
        Exit Sub
    End If
    If s = msBackgroundImage Then Exit Sub
    msBackgroundImage = s
    
    FixTestFile (s)
    
End Sub

Private Sub Form_Activate()
'***********************************************************************************************
' PURPOSE:      the first time this form is activated, then
'               1)  do the template file stuff
'
' AUTHOR DATE:  brucej
' REV:          9/22:   Pulled background into an application object
'***********************************************************************************************
On Error GoTo Form_Activate_Err:
'// if already activiated once then bail
Static fs           As Boolean
If fs Then Exit Sub Else fs = True
'***********************************************************************************************
Const IMAGE                 As String = "IMAGE"
Dim bytType                 As Byte             ' type of background
Dim sBackColor              As String
Dim sTemplatePFN            As String
Dim sStuff                  As String
'***********************************************************************************************
    Show
    With gRS
        .Index = "PrimaryKey"
        .Seek "=", 1
        If gRS.NoMatch Then
            MsgBox "Error in the database with the Background." & vbCrLf & "Shutting Down", vbCritical, MSG_CAPTION
            End
        End If
        bytType = !bytType
        sStuff = gRS!memNewSetup & vbNullString
   End With
    Select Case bytType
        Case 4      ' means color not image
            Call FixBackColor(sStuff)
            cboBackground.SetFocus
        Case 5
            fBackImage = True
            msBackgroundImage = gRS!memNewSetup & vbNullString
            Call BackImage             ' this just enables the control on the form
            cmdSelectImage.SetFocus
        Case Else
            MsgBox "You must have background types of either 4 or 5 (see documentation). Shutting Down.", vbCritical, MSG_CAPTION
            End
    End Select
    
    Call FixTestFile(sStuff)

'***********************************************************************************************
Form_Activate_bye:
    Exit Sub
Form_Activate_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "Form_Activate"
    GoTo Form_Activate_bye
    Resume
#End If
End Sub
Private Sub cmdBack_Click()
    cUtil.MirrorForm Me, frmStoreName
End Sub

Private Sub cmdNext_Click()
    cUtil.MirrorForm Me, frmLogo
End Sub

Private Sub FixTestFile(sNewStuff As String)
'***********************************************************************************************
' PURPOSE:      1)  will change the ini setting
'               2)  will change the htm and reload it
'               3)  will change the file(s) read in the registry
' AUTHOR DATE:  brucej
' REV:
'***********************************************************************************************
On Error GoTo FixTestFile_Err:
Const TAG                           As String = "%%1%%"
Dim rs                              As Recordset
Dim sHTMLFile                       As String
Dim sTemplatePFN                    As String       ' this is the template file such as shop.ast - changes here
Dim sReplaceFilePFN                 As String       ' this is the template file such as shop.ast.template - read only
Dim sAllTestFileText                As String
'***********************************************************************************************
    '// get the file to show in browser control
    msAllTemplateText = gsTemplatePath & "BackgroundTest"
    sTemplatePFN = msAllTemplateText & ".template"
    
    Call CheckForFile(sTemplatePFN)
        
    sAllTestFileText = cFiles.ReadFromFile(sTemplatePFN)
    
    '// replace string in the test file (held in memory as a variable)
    sHTMLFile = msAllTemplateText & ".htm"
    s = sAllTestFileText
    If fBackImage Then
        cUtil.ReplaceString s, TAG, Chr$(34) & "file://" & sNewStuff & Chr$(34)
    Else
        cUtil.ReplaceString s, TAG, sNewStuff
    End If
    
    '// write to new htm file
    cFiles.WriteToFile sHTMLFile, s
    
    '// write to ini file
    Call UpdateNewSetupInDB(sNewStuff, 1)
   
    '// write to blueprint file
    WebThing.Visible = True
    WebThing.Navigate sHTMLFile

'***********************************************************************************************
FixTestFile_bye:
    Exit Sub
FixTestFile_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "FixTestFile"
    GoTo FixTestFile_bye
#End If
End Sub

Private Sub cmdCancel_Click()
    ConfirmCancel
End Sub

Private Sub FixBackColor(sBackColor As String)
'***********************************************************************************************
' PURPOSE:      replace the background color
' NOTE:         Background color is always key number 1 in the database
' EFFECTS:
' INPUTS:       sIniStuff:  the ini string read from the registry
' RETURNS:
' CALLED FROM:
' AUTHOR DATE:  brucej
' REV:
'***********************************************************************************************
On Error GoTo FixBackColor_Err:
Dim sql             As String
Dim rs              As Recordset
Dim sTemplatePFN    As String
'***********************************************************************************************
    cboBackground.Text = sBackColor
    
    Set rs = db.OpenRecordset("qryBackGroundColors", dbOpenForwardOnly, dbReadOnly)
    Do Until rs.EOF
        cboBackground.AddItem rs!txtChoiceValue & ", " & rs!txtChoiceName
        rs.MoveNext
    Loop
    
'***********************************************************************************************
FixBackColor_bye:
    On Error Resume Next
    rs.Close: Set rs = Nothing
    Exit Sub
FixBackColor_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "FixBackColor"
    GoTo FixBackColor_bye
#End If
End Sub

Private Sub BackImage()
'***********************************************************************************************
' AUTHOR DATE:  brucej
' REV:
'***********************************************************************************************
On Error GoTo BackImage_Err:
Dim sVirtualRootCurrentImage                    As String

'***********************************************************************************************
    '// first, let's take care of the display
    cmdSelectImage.Visible = True
    cboBackground.Visible = False
    lblColor.Visible = False
    
'***********************************************************************************************
BackImage_bye:
    Exit Sub
BackImage_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "BackImage"
    GoTo BackImage_bye
#End If
End Sub

