VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "comdlg32.ocx"
Begin VB.Form frmLogo 
   Caption         =   "Commerce Clone Wizard - Logo"
   ClientHeight    =   3585
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7380
   Icon            =   "frmLogo.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3585
   ScaleWidth      =   7380
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame frm 
      BorderStyle     =   0  'None
      Height          =   765
      Left            =   225
      TabIndex        =   1
      Top             =   2775
      Width           =   6765
      Begin VB.CommandButton cmdCancel 
         Caption         =   "&Cancel"
         Height          =   390
         Left            =   4425
         TabIndex        =   5
         Top             =   300
         Width           =   1065
      End
      Begin VB.CommandButton cmdBack 
         Caption         =   "<< &Back"
         Height          =   390
         Left            =   3075
         TabIndex        =   4
         Top             =   300
         Width           =   1065
      End
      Begin VB.CommandButton cmdNext 
         Caption         =   "&Next >>"
         Default         =   -1  'True
         Height          =   390
         Left            =   5700
         TabIndex        =   3
         Top             =   300
         Width           =   1065
      End
      Begin VB.CommandButton cmdChoose 
         Caption         =   "Choose New &Logo"
         Height          =   390
         Left            =   0
         TabIndex        =   2
         Top             =   300
         Width           =   1665
      End
      Begin VB.Line Line1 
         BorderColor     =   &H00000000&
         DrawMode        =   1  'Blackness
         X1              =   0
         X2              =   7305
         Y1              =   150
         Y2              =   150
      End
   End
   Begin MSComDlg.CommonDialog cdlg 
      Left            =   75
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327681
      DefaultExt      =   ".gif"
      DialogTitle     =   "Select a New Logo"
      Filter          =   "Images (*.gif; *.bmp;*.jpg)|*.gif;*.bmp;*.jpg"
      FilterIndex     =   1
   End
   Begin VB.PictureBox pic 
      BackColor       =   &H8000000C&
      Height          =   2580
      Left            =   75
      ScaleHeight     =   2520
      ScaleWidth      =   7185
      TabIndex        =   0
      Top             =   75
      Width           =   7245
   End
End
Attribute VB_Name = "frmLogo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
' The logo is handled differently from most other images, there should only be one logo for each
' site and so instead of tagging the files, we will simply rename and replace the one log file with
' the new one.  So, if the user's image is mylogoimage.gif, then we rename and replace it in the path
' of the user's logo...

Private msFile          As String

Private Sub cmdBack_Click()
    Call cUtil.PositionForm(Me, frmBackground)
End Sub

Private Sub cmdNext_Click()
        
        Me.Hide
        cUtil.MirrorForm Me, frmImage
End Sub

Private Sub cmdCancel_Click()
    ConfirmCancel
End Sub

Private Sub cmdChoose_Click()

    cdlg.ShowOpen
    s = cdlg.filename
   
    If s = vbNullString Then
        MsgBox "You did not choose a file, the default file will be used.", vbOKOnly, MSG_CAPTION
        Exit Sub
    End If
    
    msFile = s
    Call UpdateNewSetupInDB(msFile, 2)
    pic.Picture = LoadPicture(msFile)

End Sub


Private Sub Form_Activate()
' Purpose: if user replaces the file, read it in again

    '// read logo from ini and place on screen
    With gRS
        .Index = "PrimaryKey"
        .Seek "=", 2            '// logo should always be 2
        msFile = gRS!memNewSetup & vbNullString
    End With
        
    Call CheckForFile(msFile)
    
    cdlg.filename = msFile
    pic.Picture = LoadPicture(msFile)

End Sub

Private Sub Form_Resize()

    ' Don't want this to get too small...
    If Height < 3990 Then
        Height = 3990
        Exit Sub
    End If
    
    If Width < 7500 Then
        Width = 7500
        Exit Sub
    End If
        
    ' Should be able to scale the form to the image
    ' need to keep the size so can move next without making that one different
    frm.Move (Width - 6765) / 2, Height - 1200
    pic.Height = Height - 1275
    pic.Width = Width - 250

End Sub
