VERSION 5.00
Begin VB.Form frmMakeTemplate 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Commerce Clone Wizard  - Copy Template"
   ClientHeight    =   3555
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7530
   Icon            =   "frmMakeTemplate.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3555
   ScaleWidth      =   7530
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox Picture1 
      BackColor       =   &H8000000C&
      Height          =   3240
      Left            =   75
      ScaleHeight     =   3180
      ScaleWidth      =   2580
      TabIndex        =   3
      Top             =   150
      Width           =   2640
      Begin VB.Image Image1 
         Height          =   2820
         Left            =   150
         Top             =   150
         Width           =   2265
      End
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next >>"
      Enabled         =   0   'False
      Height          =   390
      Left            =   5850
      TabIndex        =   0
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "<< &Back"
      Height          =   390
      Left            =   3225
      TabIndex        =   1
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   390
      Left            =   4575
      TabIndex        =   2
      Top             =   3000
      Width           =   1065
   End
   Begin VB.Label lblStuff 
      Alignment       =   2  'Center
      Caption         =   "Moving Files and Processing Tags"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   840
      Left            =   2925
      TabIndex        =   4
      Top             =   1125
      Width           =   4440
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00000000&
      DrawMode        =   1  'Blackness
      X1              =   2880
      X2              =   7425
      Y1              =   2775
      Y2              =   2775
   End
End
Attribute VB_Name = "frmMakeTemplate"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Const IMAGE_VR                  As String = "/assets/images/"

Dim mcolDirtyFiles              As New Collection
Dim msImagePath                 As String
Dim mRS                         As Recordset

Private Function CheckDirty(sPFN As String)
'***********************************************************************************************
' PURPOSE:      checks to the dirty file collection to see if this path and file have been used
'               if they have been used, then use the file in the destination directory
' INPUTS:       nothing, uses mcolTargetFiles collection
' RETURNS:      true if the file has already had at least one tag replaces (which means that other
'               tags are now present...
' AUTHOR DATE:  brucej
' REV:
'***********************************************************************************************
On Error GoTo CheckDirty_Err:
Dim v, vTarget
'***********************************************************************************************
        sPFN = UCase(Trim$(sPFN))
        
        CheckForFile sPFN
        
        For Each v In mcolDirtyFiles
            If CStr(v) = sPFN Then
                CheckDirty = True
                Exit Function
            End If
        Next
    
    ' ok so not there yet, add it now...
    mcolDirtyFiles.Add sPFN
    
'***********************************************************************************************
CheckDirty_bye:
    Exit Function
CheckDirty_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "CheckDirty"
    GoTo CheckDirty_bye
#End If
End Function

Sub MoveFiles()
'***********************************************************************************************
' PURPOSE:      this will run through the db and move the files and finish up
'               the template creation.
' EFFECTS:      several file locations, fixes the ini to reflect the changes in the current setup key
' AUTHOR DATE:  brucja
' REV:          10/14/97 Radical surgery since we've moved this to a db
'***********************************************************************************************
On Error GoTo MoveFiles_Err:

Const INFO_ONLY                             As Byte = 0
Const IMAGE_RELPACE_FILE_AND_TAG            As Byte = 1
Const IMAGE_REPLACE_FILE_NOT_TAG            As Byte = 2
Const TEXT_REPLACE_TEXT_AT_TAG              As Byte = 3
Const BACKGROUND_COLOR                      As Byte = 4
Const BACKGROUND_IMAGE                      As Byte = 5

'***********************************************************************************************
    
    If msImagePath = vbNullString Then GetImagePath
    
    Set mRS = db.OpenRecordset("qryMoveInfo", dbOpenForwardOnly, dbReadOnly)
    Do Until mRS.EOF
        
        Select Case mRS!bytType
            
            Case INFO_ONLY                       ' oh never mind
            Case IMAGE_RELPACE_FILE_AND_TAG:    Call ReplaceFile(True)
            Case IMAGE_REPLACE_FILE_NOT_TAG:    Call ReplaceFile(False)
            Case TEXT_REPLACE_TEXT_AT_TAG:      Call ReplaceText
            Case BACKGROUND_COLOR:              Call ReplaceText
            Case BACKGROUND_IMAGE:              Call ReplaceFile(False)
        
        End Select
        
        mRS.MoveNext
    Loop
                
'***********************************************************************************************
MoveFiles_bye:
    Exit Sub
MoveFiles_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "MoveFiles"
    GoTo MoveFiles_bye
#End If
End Sub

Private Sub FixDirectories()
'***********************************************************************************************
' AUTHOR DATE:  brucej
' REV:          9/25 OK, here's the problem and fix:
'               I now have a situation where a file may need to have tag replacement run more than once.
                ' As we use a file name, put the name into a collection.  Then, with subsequent files,
                ' check the collection to make sure we have not already used the file named.  If we have,
                ' then the copied file will still have a tagging element in it an that will be the one
                ' to replace.
'***********************************************************************************************
On Error GoTo FixDirectories_Err:
Dim scmdString                  As String       ' the command string
Dim sSourceDir                  As String
Dim sTargetDir                  As String
'***********************************************************************************************
    
    Me.MousePointer = vbHourglass
    Call MoveFiles
    cmdNext.Enabled = True
    cmdNext.Default = True
   
    Me.MousePointer = vbDefault

'***********************************************************************************************
FixDirectories_bye:
    Exit Sub
FixDirectories_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "FixDirectories"
    GoTo FixDirectories_bye
#End If
End Sub

Private Sub cmdNext_Click()
    cUtil.MirrorForm Me, frmDatabase
End Sub

Private Sub Form_Activate()
    FixDirectories
End Sub

Private Sub cmdBack_Click()
    cUtil.MirrorForm Me, frmText
End Sub

Private Sub cmdCancel_Click()
    ConfirmCancel
End Sub

Private Sub GetImagePath()
' Purpose: will assemble the image path
    
    msImagePath = gsTemplatePath & "assets\images\"
    Call CheckForFile(msImagePath)
    
End Sub
Sub ReplaceText()
'***********************************************************************************************
' PURPOSE:      Replace the tag with the text in the ini file
' EFFECTS:      tag file
' AUTHOR DATE:  brucej
' REV:
'***********************************************************************************************
On Error GoTo ReplaceText_Err:
Dim sReplaceFile                As String
Dim sReplaceText                As String
Dim sReplaceTemplate            As String
Dim sFilestuff                  As String
'***********************************************************************************************
    
    sReplaceFile = mRS!txtFileName & vbNullString
    sReplaceText = mRS!memNewSetup & vbNullString
    CheckForFile sReplaceFile
    
    sReplaceTemplate = gsTemplatePath & cFile.GetFileFromPath(sReplaceFile) & ".template"
    CheckForFile sReplaceTemplate
    
    If CheckDirty(sReplaceFile) Then sReplaceTemplate = sReplaceFile
    
    sFilestuff = cFiles.ReadFromFile(sReplaceTemplate)
    
    Call cUtil.ReplaceString(sFilestuff, "%%" & mRS!lkey & "%%", sReplaceText)
    
    Call cFiles.WriteToFile(sReplaceFile, sFilestuff) '
    
    Call UpdateCurrentSetupInDB(sReplaceText, mRS!lkey)
    
'***********************************************************************************************
ReplaceText_bye:
    Exit Sub
ReplaceText_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "ReplaceText"
    GoTo ReplaceText_bye
#End If
End Sub

Sub ReplaceFile(bTag As Boolean)
'***********************************************************************************************
' PURPOSE:      1) Will move the file to the images directory for this web template
'               2) Will replace the tag in the associated replace file with the file name (if btag)
'               3) Change the ini's CurrentSetup to reflect the change
' EFFECTS:      tag file
' INPUTS:       btag:   true if want to replace the tag
' AUTHOR DATE:  brucej
' REV:          10/14/97 Major changes to support db
'***********************************************************************************************
On Error GoTo ReplaceFile_Err:
Dim sFileName                   As String
Dim sSourceFileName             As String
Dim sDestFileName               As String
Dim sReplaceFile                As String
Dim sReplaceTemplate            As String
Dim sFilestuff                  As String
'***********************************************************************************************
    '// 1 move the file
    sSourceFileName = mRS!memNewSetup & vbNullString
    sFileName = cFile.GetFileFromPath(sSourceFileName)
    
    If bTag Then
        sDestFileName = msImagePath & sFileName
    Else
        sDestFileName = mRS!txtFileName & vbNullString
        If UCase(sDestFileName) = UCase(sSourceFileName) Then Exit Sub
    End If
    
    Call CheckForFile(sSourceFileName)
    If UCase(sSourceFileName) <> UCase(sDestFileName) Then
        If cFiles.Exists(sDestFileName) Then Kill sDestFileName
        FileCopy sSourceFileName, sDestFileName
    End If
    
    If bTag Then
        '// 2 replace the tag
       
        sReplaceFile = mRS!txtFileName & vbNullString
        CheckForFile sReplaceFile
        sReplaceTemplate = gsTemplatePath & cFile.GetFileFromPath(sReplaceFile) & ".template"
        CheckForFile sReplaceTemplate
        If CheckDirty(sReplaceFile) Then sReplaceTemplate = sReplaceFile
        sFilestuff = cFiles.ReadFromFile(sReplaceTemplate)
        Call cUtil.ReplaceString(sFilestuff, "%%" & mRS!lkey & "%%", sFileName)
        Call cFiles.WriteToFile(sReplaceFile, sFilestuff)
    End If
    
    '// 3 change the ini file
    If mRS!bytType <> 2 Then Call UpdateCurrentSetupInDB(sDestFileName, mRS!lkey)
    
'***********************************************************************************************
ReplaceFile_bye:
    Exit Sub
ReplaceFile_Err:
#If debugme Then
    Stop
    MsgBox "ErrNumber: " & CStr(Err.Number) & vbCrLf & "ErrMessage: " & Err.Description
    Resume
#Else
    ErrorTrap Err.Number, Err.Description, "ReplaceFile"
    GoTo ReplaceFile_bye
#End If
End Sub

Private Sub Form_Load()
    Image1 = LoadPicture(LOGO)
End Sub
