VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "cStoreCopy"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Const SUCCESS = 0
Const FAILURE = -1
Const MSGBOX_TITLE = "Store Copy Wizard"
Const NAME_SPACE = "WinNT"
Const REG_SZ = 1
Const REG_DWORD = 4
Const SERVICE_RUNNING = 4
Const SERVICE_STOPPED = 1

'// IIsWebServer Constants
Const AUTH_DEFAULT = &H0
Const AUTH_ANON = &H1
Const AUTH_BASIC = &H2
Const AUTH_SSPI = &H4
Const AUTH_FRONTPG = &H8

'// IIs4WebVirtualDir Constants
Const ACCESS_DEFAULT = &H0
Const ACCESS_READ = &H1
Const ACCESS_SCRIPT = &H2
Const ACCESS_EXECUTE = &H4
Const ACCESS_DIRBROWSE = &H8

Const HKEY_CLASSES_ROOT = &H80000000
Const HKEY_CURRENT_USER = &H80000001
Const HKEY_LOCAL_MACHINE = &H80000002
Const HKEY_USERS = &H80000003

Const ROOT              As Byte = 1
Const CURRENT_USER      As Byte = 2
Const LOCAL_MACHINE     As Byte = 3
Const USERS             As Byte = 4

Dim sErrInfo              As String
Dim iRet             As Integer
Dim bRet               As Boolean

Dim sSrcServer          As String
Dim sSrcDomain          As String
Dim sSrcWebIIS4         As String
Dim sSrcCom3            As String
Dim sSrcMscsPath        As String
Dim sSrcStore           As String
Dim sSrcDbDsn           As String
Dim sSrcDbServer        As String
Dim sSrcDbLogin         As String
Dim sSrcDbPwd           As String
Dim sSrcDbName          As String
Dim sSrcStoreAdmin      As String
Dim sStoreAdmin         As String
Dim iSrcDbDataSize      As Integer
Dim iSrcDbLogSize       As Integer

Dim sDestServer         As String
Dim sDestDomain         As String
Dim sDestVirtualWeb     As String
Dim sDestWebIIS4        As String
Dim sDestCom3           As String
Dim sDestWebRestart     As String
Dim sDestMscsPath       As String
Dim sDestDbServer       As String
Dim sDestDbSaPwd        As String

Public Event PercentComplete()

Public Property Get ErrInfo() As String
    ErrInfo = sErrInfo
End Property

Private Property Let ErrInfo(ByVal sNewValue As String)
    sErrInfo = sNewValue
End Property

Public Property Get SrcServer() As String
    SrcServer = sSrcServer
End Property

Public Property Let SrcServer(ByVal sNewValue As String)
    sSrcServer = sNewValue
End Property

Public Property Get SrcDomain() As String
    SrcDomain = sSrcDomain
End Property

Public Property Get SrcWebIIS4() As String
  SrcWebIIS4 = sSrcWebIIS4
End Property

Public Property Let SrcWebIIS4(ByVal sNewValue As String)
    sSrcWebIIS4 = sNewValue
End Property

Public Property Get SrcCom3() As String
  SrcCom3 = sSrcCom3
End Property

Public Property Let SrcCom3(ByVal sNewValue As String)
    sSrcCom3 = sNewValue
End Property

Public Property Get SrcMscsPath() As String
    SrcMscsPath = sSrcMscsPath
End Property

Public Property Let SrcMscsPath(ByVal sNewValue As String)
    sSrcMscsPath = sNewValue
End Property

Public Property Get SrcStore() As String
    SrcStore = sSrcStore
End Property

Public Property Let SrcStore(ByVal sNewValue As String)
    sSrcStore = sNewValue
End Property

Public Property Get SrcDbDsn() As String
    SrcDbDsn = sSrcDbDsn
End Property

Public Property Get SrcDbServer() As String
    SrcDbServer = sSrcDbServer
End Property

Public Property Get SrcDbLogin() As String
    SrcDbLogin = sSrcDbLogin
End Property

Public Property Get SrcDbPwd() As String
    SrcDbPwd = sSrcDbPwd
End Property

Public Property Get SrcDbName() As String
    SrcDbName = sSrcDbName
End Property

Public Property Get StoreAdmin() As String
    StoreAdmin = sStoreAdmin
End Property

Public Property Get SrcDbDataSize() As Integer
    SrcDbDataSize = iSrcDbDataSize
End Property

Public Property Get SrcDbLogSize() As Integer
    SrcDbLogSize = iSrcDbLogSize
End Property

Public Property Get DestServer() As String
    DestServer = sDestServer
End Property

Public Property Let DestServer(ByVal sNewValue As String)
    sDestServer = sNewValue
End Property

Public Property Get DestDomain() As String
    DestDomain = sDestDomain
End Property

Public Property Get DestVirtualWeb() As String
  DestVirtualWeb = sDestVirtualWeb
End Property

Public Property Let DestVirtualWeb(ByVal sNewValue As String)
    sDestVirtualWeb = sNewValue
End Property

Public Property Get DestWebIIS4() As String
  DestWebIIS4 = sDestWebIIS4
End Property

Public Property Let DestWebIIS4(ByVal sNewValue As String)
    sDestWebIIS4 = sNewValue
End Property

Public Property Get DestCom3() As String
  DestCom3 = sDestCom3
End Property

Public Property Let DestCom3(ByVal sNewValue As String)
    sDestCom3 = sNewValue
End Property

Public Property Get DestWebRestart() As String
  DestWebRestart = sDestWebRestart
End Property

Public Property Let DestWebRestart(ByVal sNewValue As String)
    sDestWebRestart = sNewValue
End Property

Public Property Get DestMscsPath() As String
    DestMscsPath = sDestMscsPath
End Property

Public Property Let DestMscsPath(ByVal sNewValue As String)
    sDestMscsPath = sNewValue
End Property

Public Property Get DestDbServer() As String
    DestDbServer = sDestDbServer
End Property

Public Property Let DestDbServer(ByVal sNewValue As String)
    sDestDbServer = sNewValue
End Property

Public Property Get DestDbSaPwd() As String
    DestDbSaPwd = sDestDbSaPwd
End Property

Public Property Let DestDbSaPwd(ByVal sNewValue As String)
    sDestDbSaPwd = sNewValue
End Property

Public Function GetDomains() As Integer
    On Error GoTo ErrorHandler
    sErrInfo = vbNullString
    
    Dim oAdsi                   As New cAdsi
    
    If (sSrcServer = vbNullString Or sDestServer = vbNullString) Then
        sErrInfo = "One of the required properties is not Set."
        GetDomains = FAILURE
        Exit Function
    End If
    
    '// derive source and destination domain names and check for possible problems
    oAdsi.NameSpace = NAME_SPACE
    sSrcDomain = oAdsi.GetDomain(sSrcServer)
    sDestDomain = oAdsi.GetDomain(sDestServer)

    If Not (sSrcDomain = sDestDomain) Then
        If (MsgBox("Source Server Domain (" & sSrcDomain & ") " & _
                    "and " & _
                    "Destination Server Domain (" & sDestDomain & ") " & _
                    "are not the same.  Is your current userid/pwd present in both Domains " & _
                    "and a member of the Administrators Group in both?", _
                    vbYesNo, MSGBOX_TITLE) = vbNo) Then
            Call MsgBox("Please resolve this issue and then start again.", _
            vbOKOnly, MSGBOX_TITLE)
            sErrInfo = "source and destination domains are different"
            GetDomains = FAILURE
            Exit Function
        End If
    Else
        Call MsgBox("Source Server Domain (" & sSrcDomain & ") " & _
                    "and " & _
                    "Destination Server Domain (" & sDestDomain & ") " & _
                    "are the same.  Security Context for the Copy should not be a problem " & _
                    "provided your current userid/pwd is a member of the Administrators Group.", _
                    vbOKOnly, MSGBOX_TITLE)
    End If
    GetDomains = SUCCESS
    
    Exit Function
ErrorHandler:
    sErrInfo = Err.Number - vbObjectError & ", " & Err.Description & ", " & Err.LastDllError
    Resume Next
End Function

Public Function GetInstallPaths() As Integer
    On Error GoTo ErrorHandler
    sErrInfo = vbNullString
    
    Dim sSubKey                 As String
    Dim sSubKey3                As String
    Dim sValueName              As String
    Dim sValue                  As String
    Dim sServer                 As String
    Dim oRegistry               As New cRegistry
    
    If (sSrcServer = vbNullString Or sDestServer = vbNullString) Then
        sErrInfo = "One of the required properties is not Set."
        GetInstallPaths = FAILURE
        Exit Function
    End If
    
    '// lookup mscs installation path on source server
    sSubKey = "Software\Microsoft\CommerceServer2.0"
    sValueName = "Root"
    sValue = vbNullString
    sServer = sSrcServer
    sSrcMscsPath = oRegistry.QueryStringValue(LOCAL_MACHINE, sSubKey, sValueName, sServer)
        
    sSrcCom3 = False
    
    '//if reg key lookup returns null then check to see if it is a commerce server 3.0 installation
    If (sSrcMscsPath = vbNullString) Then
       sSubKey3 = "Software\Microsoft Corporation\Site Server 3.0 - Commerce Edition"
       sValueName = "Root"
       sSrcMscsPath = oRegistry.QueryStringValue(LOCAL_MACHINE, sSubKey3, sValueName, sServer)
       If Not (sSrcMscsPath = vbNullString) Then
            sSrcCom3 = True
       End If
    End If
    
    If (sSrcMscsPath = vbNullString) Then
        sErrInfo = "Cannot locate your Commerce installation on " & Chr(34) & sServer & Chr(34) & ", " & _
                   "or your current security context is not Administrator, " & _
                   "please resolve and try again."
        GetInstallPaths = FAILURE
        Exit Function
    Else
        sSrcMscsPath = Left(sSrcMscsPath, Len(sSrcMscsPath) - 1)
    End If
    

    '// lookup mscs installation path on source server
    sSubKey = "Software\Microsoft\CommerceServer2.0"
    sValueName = "Root"
    sValue = vbNullString
    sServer = sDestServer
    sDestMscsPath = oRegistry.QueryStringValue(LOCAL_MACHINE, sSubKey, sValueName, sServer)
        
    sDestCom3 = False
    
    '//if reg key lookup returns null then check to see if it is a commerce server 3.0 installation
    If (sDestMscsPath = vbNullString) Then
       sSubKey3 = "Software\Microsoft Corporation\Site Server 3.0 - Commerce Edition"
       sValueName = "Root"
       sDestMscsPath = oRegistry.QueryStringValue(LOCAL_MACHINE, sSubKey3, sValueName, sServer)
       If Not (sDestMscsPath = vbNullString) Then
            sDestCom3 = True
       End If
    End If
    
    If (sDestMscsPath = vbNullString) Then
        sErrInfo = "Cannot locate your Commerce installation on " & Chr(34) & sServer & Chr(34) & ", " & _
                   "or your current security context is not Administrator, " & _
                   "please resolve and try again."
        GetInstallPaths = FAILURE
        Exit Function
    Else
        sDestMscsPath = Left(sDestMscsPath, Len(sDestMscsPath) - 1)
    End If
    
    
    GetInstallPaths = SUCCESS
    Set oRegistry = Nothing
    
    Exit Function
ErrorHandler:
    sErrInfo = Err.Number - vbObjectError & ", " & Err.Description & ", " & Err.LastDllError
    Resume Next
End Function

Public Function GetSrcStoreInfo() As Integer
    On Error GoTo ErrorHandler
    sErrInfo = vbNullString
    
    Dim sSrcMscsNetPath     As String
    Dim sFileName           As String
    Dim sFileContents       As String
    Dim iStart              As Integer
    Dim iEnd                As Integer
    Dim sSubKey             As String
    Dim sValueName          As String
    Dim sValue              As String
    Dim sServer             As String
    Dim oFile               As New cFile
    Dim oRegistry           As New cRegistry
    Dim oUtility            As New cUtility
    Dim oDbServer           As New SQLOLE.SQLServer
    Dim oDatabase           As New SQLOLE.Database
    
    If (sSrcServer = vbNullString Or sSrcStore = vbNullString) Then
        sErrInfo = "One of the required properties is not Set."
        GetSrcStoreInfo = FAILURE
        Exit Function
    End If
    
    '// read into a string the manager\include\dsn_include.asp file contents
    sSrcMscsNetPath = oUtility.MakeNetPath(sSrcServer, sSrcMscsPath)
    Set oUtility = Nothing
    sFileName = sSrcMscsNetPath & "\" & "Stores" & "\" & sSrcStore & _
                "\" & "manager" & "\" & "Include" & "\" & "dsn_include.asp"
    sFileContents = oFile.ReadFileToString(sFileName)
    If (sFileContents = vbNullString) Then
        sErrInfo = "Unable to obtain <storename>\manager\dsn_include.asp file data on " & sSrcServer
        GetSrcStoreInfo = FAILURE
        Exit Function
    End If
    
    Set oFile = Nothing
    
    '// get the dsn value and subsequently the source db server from the registry
    iStart = InStr(1, sFileContents, "DSN=", vbBinaryCompare)
    iStart = iStart + Len("DSN=")
    iEnd = InStr(iStart, sFileContents, ";", vbBinaryCompare)
    sSrcDbDsn = Mid(sFileContents, iStart, iEnd - iStart)
    '// look in under the ODBC registry setting for this DSN for the server name
    sSubKey = "Software\ODBC\ODBC.INI\" & sSrcDbDsn
    sValueName = "Server"
    sValue = vbNullString
    sServer = sSrcServer
    sSrcDbServer = oRegistry.QueryStringValue(LOCAL_MACHINE, sSubKey, sValueName, sServer)
    
    If (sSrcDbServer = vbNullString) Then
        sErrInfo = "Unable to acquire source db server name from odbc entry on " & sSrcServer
        GetSrcStoreInfo = FAILURE
        Exit Function
    Else
        '// Call oUtility.StripNull(sSrcDbServer)  ** this didn't work since it doesn't seem to think the extraneous char is a Null **
        sSrcDbServer = Left(sSrcDbServer, Len(sSrcDbServer) - 1)
        If (sSrcDbServer = "(local)") Then
            sSrcDbServer = sSrcServer
        End If
    End If
    
    '// get the source db login
    iStart = InStr(1, sFileContents, "UID=", vbBinaryCompare)
    iStart = iStart + Len("UID=")
    iEnd = InStr(iStart, sFileContents, ";", vbBinaryCompare)
    sSrcDbLogin = Mid(sFileContents, iStart, iEnd - iStart)
    
    '// get the source db pwd
    iStart = InStr(1, sFileContents, "PWD=", vbBinaryCompare)
    iStart = iStart + Len("PWD=")
    iEnd = InStr(iStart, sFileContents, ";", vbBinaryCompare)
    sSrcDbPwd = Mid(sFileContents, iStart, iEnd - iStart)
    
    '// get the source db name
    iStart = InStr(1, sFileContents, "DATABASE=", vbBinaryCompare)
    iStart = iStart + Len("DATABASE=")
    iEnd = InStr(iStart, sFileContents, ";", vbBinaryCompare)
    If (iEnd = 0) Then
        iEnd = InStr(iStart, sFileContents, Chr(34), vbBinaryCompare)
    End If
    sSrcDbName = Mid(sFileContents, iStart, iEnd - iStart)
    
    '// get the source store admin id
    iStart = InStr(1, sFileContents, "MSCSStoreAdmin = " & Chr(34), vbBinaryCompare)
    iStart = iStart + Len("MSCSStoreAdmin = " & Chr(34))
    iEnd = InStr(iStart, sFileContents, Chr(34), vbBinaryCompare)
    sSrcStoreAdmin = Mid(sFileContents, iStart, iEnd - iStart)
    If (InStr(1, sSrcStoreAdmin, "\", vbBinaryCompare)) Then
        sStoreAdmin = Mid(sSrcStoreAdmin, InStr(1, sSrcStoreAdmin, "\", vbBinaryCompare) + 1)
    Else
        sStoreAdmin = sSrcStoreAdmin
    End If
  
    '// connect and get the source db data and log size
    oDbServer.DisConnect '// in case object is currently open
    oDbServer.Connect sSrcDbServer, sSrcDbLogin, sSrcDbPwd
    If Not (oDbServer.VerifyConnection(SQLOLEConn_CurrentState)) Then
        sErrInfo = "SQL Server connection failed"
        GetSrcStoreInfo = FAILURE
        Exit Function
    End If
    
    Set oDatabase = oDbServer.Databases(sSrcDbName)
    iSrcDbDataSize = oDatabase.Size - oDatabase.TransactionLog.Size
    iSrcDbLogSize = oDatabase.TransactionLog.Size
    
    Set oDatabase = Nothing
    oDbServer.Close
    Set oDbServer = Nothing
    GetSrcStoreInfo = SUCCESS
    
    Exit Function
ErrorHandler:
    sErrInfo = Err.Number - vbObjectError & ", " & Err.Description & ", " & Err.LastDllError
    Resume Next
End Function

Public Function GetStoreList(sRemoteServer As String, oStoreList As Collection) As Integer
    On Error GoTo ErrorHandler
    sErrInfo = vbNullString
    
    Dim lRet                As Long
    Dim lKey                As Long
    Dim sSubKey             As String
    Dim sSubKey3            As String
    Dim sStorePath          As String
    Dim sValueName          As String
    Dim sValue              As String
    Dim sServer             As String
    Dim sMscsPath           As String
    Dim sTemp               As String
    Dim oRegistry           As New cRegistry
    Dim oEnumList           As New Collection
    Dim oRegEntry           As icuStoreCopy.cRegEntry
    Dim oWebSvc             As New icuIIS4.webSvc
    
    sSubKey = "Software\Microsoft\InetStp"
    sValueName = "VersionString"
    sServer = sRemoteServer
    sValue = oRegistry.QueryStringValue(LOCAL_MACHINE, sSubKey, sValueName, sServer)
    If Not (sValue = "") Then
        sValue = Left(sValue, Len(sValue) - 1)
        If (InStr(1, sValue, "Version 4.0", vbTextCompare)) Then
            sSrcWebIIS4 = True
        Else
            sErrInfo = "Could not resolve IIS Version number."
            GetStoreList = FAILURE
            Exit Function
        End If
    Else
        sSrcWebIIS4 = False
    End If

    '// lookup mscs installation path on source server
    sSubKey = "Software\Microsoft\CommerceServer2.0"
    sValueName = "Root"
    sValue = vbNullString
    sServer = sRemoteServer
    sMscsPath = oRegistry.QueryStringValue(LOCAL_MACHINE, sSubKey, sValueName, sServer)
        
    sSrcCom3 = False
    
    '//if reg key lookup returns null then check to see if it is a commerce server 3.0 installation
    If (sMscsPath = vbNullString) Then
       sSubKey3 = "Software\Microsoft Corporation\Site Server 3.0 - Commerce Edition"
       sValueName = "Root"
       sMscsPath = oRegistry.QueryStringValue(LOCAL_MACHINE, sSubKey3, sValueName, sServer)
       If Not (sMscsPath = vbNullString) Then
            sSrcCom3 = True
       End If
    End If
    
    If (sMscsPath = vbNullString) Then
        sErrInfo = "Cannot locate your Commerce installation on " & Chr(34) & sRemoteServer & Chr(34) & ", " & _
                   "or your current security context is not Administrator, " & _
                   "please resolve and try again."
        GetStoreList = FAILURE
        Exit Function
    Else
        sMscsPath = Left(sMscsPath, Len(sMscsPath) - 1)
    End If
    
    '// set store path for type of commerce server installation
    If (sSrcCom3) Then '// com3 installation
        sStorePath = sMscsPath & "\Default"
    Else
        sStorePath = sMscsPath & "\Stores"
    End If
    
    '// get the template stores
    Select Case sSrcWebIIS4
    Case False '// IIS30
        lKey = HKEY_LOCAL_MACHINE
        sSubKey = "system\currentcontrolset\services\w3svc\parameters\virtual roots"
    
        lRet = oRegistry.EnumValue(lKey, sSubKey, oEnumList, sServer)
        
        For Each oRegEntry In oEnumList
            If (InStr(1, oRegEntry.Data, sStorePath, vbTextCompare)) Then
                sTemp = Right(oRegEntry.Name, Len(oRegEntry.Name) - 1)
                sTemp = Left(sTemp, InStr(1, sTemp, ",", vbBinaryCompare) - 1)
                Call oStoreList.Add(sTemp)
            End If
        Next
        
    Case True '// IIS40
        lRet = oWebSvc.GetWebVirtDirWPath(sRemoteServer, sStorePath, oStoreList)
        If (lRet = 1) Then
            sErrInfo = oWebSvc.ErrInfo
            GetStoreList = FAILURE
            Exit Function
        End If
    End Select
    
    If (oStoreList.count = 0) Then
        GetStoreList = FAILURE
        sErrInfo = "No Commerce stores found on " & sRemoteServer & "."
        Exit Function
    End If
    
    Exit Function
ErrorHandler:
    sErrInfo = Err.Number - vbObjectError & ", " & Err.Description & ", " & Err.LastDllError
    Resume Next
End Function

Public Function CopyWeb() As Integer
    On Error GoTo ErrorHandler
    sErrInfo = vbNullString
    
    Dim sCmdLine                As String
    Dim sSrcStoreNetPath        As String
    Dim sDestStoreNetPath       As String
    Dim sFileName               As String
    Dim sFileContents           As String
    Dim iStart                  As Integer
    Dim iEnd                    As Integer
    Dim sSubKey                 As String
    Dim sSubKey3                As String
    Dim sValueName              As String
    Dim sValue                  As String
    Dim sServer                 As String
    Dim oRegistry               As New cRegistry
    Dim oUtility                As New cUtility
    Dim oAdsi                   As New cAdsi
    Dim oFile                   As New cFile
    Dim oIIS                    As ActiveDs.IADs
    Dim oAspExtend              As New ASPEXTLib.ASPExtend
    Dim oWebSvc                 As New icuIIS4.webSvc
    Dim rgServerBindings(0)     As String
    Dim sWebVirtDirName         As String
    Dim lAuth                   As Long
    Dim sPath                   As String
    Dim lAccess                 As Long
        
    If (sSrcServer = vbNullString Or sSrcStore = vbNullString Or sDestServer = vbNullString) Then
        sErrInfo = "One of the required properties is not Set."
        CopyWeb = FAILURE
        Exit Function
    End If
    
    '// create storeadmin account on remote system if systems
    '// do this even if servers are resource servers in the same domain
    '// as we presume the ISP will keep a storeAdmins security list in the
    '// local server security list
    oAdsi.NameSpace = NAME_SPACE
    oAdsi.Domain = vbNullString
    oAdsi.Computer = sDestServer
    If (oAdsi.CreateUser(sStoreAdmin) = FAILURE) Then
        '// this creates the user in the computer's local security list
        '// setting the password the same as the username
        '// if userid already exists then we will just presume
        '// they set it up in advance of the store copy
    End If
    If (oAdsi.UserToGroup(sStoreAdmin, "StoreManagers")) Then
        '// this adds the new local storeAdmin account to the local
        '// StoreManagers group so they can access the hostAdmin pages
    End If
        
    '// create directories, set acls and copy store files
    If (sSrcCom3) Then '// com3 installation
        sSrcStoreNetPath = oUtility.MakeNetPath(sSrcServer, sSrcMscsPath) & _
                          "\" & "Default" & "\" & sSrcStore
    Else '// com2 installation
       sSrcStoreNetPath = oUtility.MakeNetPath(sSrcServer, sSrcMscsPath) & _
                          "\" & "Stores" & "\" & sSrcStore
    End If

    If (sDestCom3) Then '// com3 installation
        sDestStoreNetPath = oUtility.MakeNetPath(sDestServer, sDestMscsPath) & _
                            "\" & "Default" & "\" & sSrcStore
    Else '// com2 installation
        sDestStoreNetPath = oUtility.MakeNetPath(sDestServer, sDestMscsPath) & _
                            "\" & "Stores" & "\" & sSrcStore
    End If
                        
    Call oAspExtend.AspExtCreateRemoteDir(sDestStoreNetPath)
    
    Call oAspExtend.AspExtCreateRemoteDir(sDestStoreNetPath & "\Assets")
    Call oAspExtend.AddAccessRights(sDestStoreNetPath & "\Assets", "Everyone")
    Call oAspExtend.AddAccessRights(sDestStoreNetPath & "\Assets", sStoreAdmin)
    
    Call oAspExtend.AspExtCreateRemoteDir(sDestStoreNetPath & "\Config")
    Call oAspExtend.AddAccessRights(sDestStoreNetPath & "\Config", "Everyone")
    Call oAspExtend.AddAccessRights(sDestStoreNetPath & "\Config", sStoreAdmin)
    
    Call oAspExtend.AspExtCreateRemoteDir(sDestStoreNetPath & "\Manager")
    Call oAspExtend.AddAccessRights(sDestStoreNetPath & "\Manager", sStoreAdmin)
    
    Call oAspExtend.AspExtCreateRemoteDir(sDestStoreNetPath & "\Shop")
    Call oAspExtend.AddAccessRights(sDestStoreNetPath & "\Shop", "Everyone")
    Call oAspExtend.AddAccessRights(sDestStoreNetPath & "\Shop", sStoreAdmin)
    
    Call oAspExtend.AspExtCreateRemoteDir(sDestStoreNetPath & "\Sql")
    Call oAspExtend.AddAccessRights(sDestStoreNetPath & "\Sql", sStoreAdmin)
                            
    sCmdLine = "xcopy /s /e " & _
                Chr(34) & sSrcStoreNetPath & "\" & "*.*" & Chr(34) & " " & _
                Chr(34) & sDestStoreNetPath & Chr(34)
    Call oUtility.ShellAndWait(sCmdLine)
    
    '// fix the store admin setting in \manager\dsn_include.asp & \shop\include\dsn_include.asp
    sFileName = sDestStoreNetPath & "\manager\Include\dsn_include.asp"
    sFileContents = oFile.ReadFileToString(sFileName)
    Set oFile = Nothing
    
    '// get the source store admin id
    iStart = InStr(1, sFileContents, "MSCSStoreAdmin = " & Chr(34), vbBinaryCompare)
    iStart = iStart + Len("MSCSStoreAdmin = " & Chr(34)) - 1
    iEnd = InStr(iStart + 1, sFileContents, Chr(34), vbBinaryCompare)
    sFileContents = Left(sFileContents, iStart) & _
                    sDestServer & "\" & sStoreAdmin & _
                    Mid(sFileContents, iEnd)
    iRet = oFile.WriteFileFromString(sFileName, sFileContents)
    If (iRet = FAILURE) Then
        ErrInfo = "Failed to update storeAdmin setting in manager\include\dsn_include.asp"
    End If
    sFileName = sDestStoreNetPath & "\shop\Include\dsn_include.asp"
    iRet = oFile.WriteFileFromString(sFileName, sFileContents)
    If (iRet = FAILURE) Then
        ErrInfo = "Failed to update store admin setting in shop\include\dsn_include.asp"
    End If
    
    
    '// recreate the store db dsn on destination store server
    '// add a new odbc reference for the new dsn
    sSubKey = "Software\ODBC\ODBC.INI\ODBC Data Sources"
    sValueName = sSrcDbDsn
    sValue = "SQL Server"
    sServer = sDestServer
    bRet = oRegistry.SetKeyValue(LOCAL_MACHINE, sSubKey, sValueName, sValue, REG_SZ, sServer)
    If (bRet) Then
        sErrInfo = oRegistry.ErrInfo
        CopyWeb = FAILURE
        Exit Function
    End If
    
    '// create the new dsn subkey
    sSubKey = "Software\ODBC\ODBC.INI\" & sSrcDbDsn
    sServer = sDestServer
    bRet = oRegistry.CreateNewKey(LOCAL_MACHINE, sSubKey, sServer)
    If (bRet) Then
        sErrInfo = oRegistry.ErrInfo
        CopyWeb = FAILURE
        Exit Function
    End If
    
    '// lookup the SQL server driver path for Destination Server
    sSubKey = "Software\ODBC\ODBCINST.INI\SQL Server"
    sValueName = "Driver"
    sServer = sDestServer
    sValue = oRegistry.QueryStringValue(LOCAL_MACHINE, sSubKey, sValueName, sServer)
    sValue = Left(sValue, Len(sValue) - 1)
        
    sSubKey = "Software\ODBC\ODBC.INI\" & sSrcDbDsn
    bRet = oRegistry.SetKeyValue(LOCAL_MACHINE, sSubKey, sValueName, sValue, REG_SZ, sServer)
    If (bRet) Then
        sErrInfo = oRegistry.ErrInfo
        CopyWeb = FAILURE
        Exit Function
    End If
        
    sSubKey = "Software\ODBC\ODBC.INI\" & sSrcDbDsn
    sValueName = "Server"
    sValue = sDestDbServer
    bRet = oRegistry.SetKeyValue(LOCAL_MACHINE, sSubKey, sValueName, sValue, REG_SZ, sServer)
    If (bRet) Then
        sErrInfo = oRegistry.ErrInfo
        CopyWeb = FAILURE
        Exit Function
    End If
    
    sValueName = "UseProcForPrepare"
    sValue = "No"
    bRet = oRegistry.SetKeyValue(LOCAL_MACHINE, sSubKey, sValueName, sValue, REG_SZ, sServer)
    If (bRet) Then
        sErrInfo = oRegistry.ErrInfo
        CopyWeb = FAILURE
        Exit Function
    End If
    
    '// create the web server directory aliases
    sSubKey = "Software\Microsoft\InetStp"
    sValueName = "Version String"
    '// Major Version would be better but is a REG_DWORD _
        so you would need to add a oRegistry.QueryDwordValue routine
    sServer = sDestServer
    sValue = oRegistry.QueryStringValue(LOCAL_MACHINE, sSubKey, sValueName, sServer)
    sValue = Left(sValue, Len(sValue) - 1)
    
    If Not (InStr(1, sValue, "Version 4.0", vbTextCompare)) Then
        sDestWebIIS4 = True
    Else
        sDestWebIIS4 = False
    End If
        
    Select Case sDestWebIIS4
    Case False '// IIS30
        sSubKey = "System\CurrentControlSet\Services\W3Svc\Parameters\Virtual Roots"
        If (sDestVirtualWeb <> vbNullString) Then
            sValueName = "/" & sSrcStore & "," & sDestVirtualWeb
        Else
            sValueName = "/" & sSrcStore & ","
        End If
        sValue = sDestMscsPath & "\" & "Stores" & "\" & sSrcStore & "\" & "shop,,5"
        sServer = sDestServer
        bRet = oRegistry.SetKeyValue(LOCAL_MACHINE, sSubKey, sValueName, sValue, REG_SZ, sServer)
        If (bRet) Then
            sErrInfo = oRegistry.ErrInfo
            CopyWeb = FAILURE
            Exit Function
        End If
        
        If (sDestVirtualWeb <> vbNullString) Then
            sValueName = "/" & sSrcStore & "_assets," & sDestVirtualWeb
        Else
            sValueName = "/" & sSrcStore & "_assets,"
        End If
        sValue = sDestMscsPath & "\" & "Stores" & "\" & sSrcStore & "\" & "assets,,1"
        bRet = oRegistry.SetKeyValue(LOCAL_MACHINE, sSubKey, sValueName, sValue, REG_SZ, sServer)
        If (bRet) Then
            sErrInfo = oRegistry.ErrInfo
            CopyWeb = FAILURE
            Exit Function
        End If
        
        If (sDestVirtualWeb <> vbNullString) Then
            sValueName = "/" & sSrcStore & "_mgr," & sDestVirtualWeb
        Else
            sValueName = "/" & sSrcStore & "_mgr,"
        End If
        sValue = sDestMscsPath & "\" & "Stores" & "\" & sSrcStore & "\" & "manager,,5"
        bRet = oRegistry.SetKeyValue(LOCAL_MACHINE, sSubKey, sValueName, sValue, REG_SZ, sServer)
        If (bRet) Then
            sErrInfo = oRegistry.ErrInfo
            CopyWeb = FAILURE
            Exit Function
        End If
        
        If (sDestVirtualWeb <> vbNullString) Then
            sValueName = "/MSCS_Images," & sDestVirtualWeb
            sValue = sDestMscsPath & "\Server\Images,,1"
            bRet = oRegistry.SetKeyValue(LOCAL_MACHINE, sSubKey, sValueName, sValue, REG_SZ, sServer)
            If (bRet) Then
                sErrInfo = oRegistry.ErrInfo
                CopyWeb = FAILURE
                Exit Function
            End If
        Else
            '// do nothing since we presume this alias is already setup on the
            '// default web root
        End If
        
    Case True
        If (sDestVirtualWeb = vbNullString) Then
            '// setup ServerBindings to apply new webVirtualDir against
            '// the default [unassigned] web server
            rgServerBindings(0) = ":80:"
        Else
            '// setup ServerBindings list and attempt to create the web server
            '// for this binding in case they haven't already done so
            rgServerBindings(0) = sDestVirtualWeb & ":80:"
            lAuth = AUTH_DEFAULT  '// use current defaults
            lAccess = ACCESS_DEFAULT  '// use current defaults for WebRoot
            iRet = oWebSvc.CreateWebSrv(sDestServer, rgServerBindings, sSrcStore, lAuth, sDestMscsPath, lAccess)
            If (iRet = 1) Then
                sErrInfo = oWebSvc.ErrInfo
                '// don't fail since we can assume the web server in question had
                '// already been created, this step was only to ensure that was the case
                '// CopyWeb = FAILURE
                '// Exit Function
            End If
        End If
        
        sWebVirtDirName = sSrcStore
        sPath = sDestMscsPath & "\" & "Stores" & "\" & sSrcStore & "\" & "shop"
        lAccess = ACCESS_READ + ACCESS_SCRIPT
        iRet = oWebSvc.CreateWebVirtDir(sDestServer, rgServerBindings, sWebVirtDirName, sPath, lAccess)
        If (iRet) Then
            sErrInfo = oWebSvc.ErrInfo
            CopyWeb = FAILURE
            Exit Function
        End If
        
        sWebVirtDirName = sSrcStore & "_assets"
        sPath = sDestMscsPath & "\" & "Stores" & "\" & sSrcStore & "\" & "assets"
        lAccess = ACCESS_READ
        iRet = oWebSvc.CreateWebVirtDir(sDestServer, rgServerBindings, sWebVirtDirName, sPath, lAccess)
        If (iRet) Then
            sErrInfo = oWebSvc.ErrInfo
            CopyWeb = FAILURE
            Exit Function
        End If
        
        sWebVirtDirName = sSrcStore & "_mgr"
        sPath = sDestMscsPath & "\" & "Stores" & "\" & sSrcStore & "\" & "manager"
        lAccess = ACCESS_READ + ACCESS_SCRIPT
        iRet = oWebSvc.CreateWebVirtDir(sDestServer, rgServerBindings, sWebVirtDirName, sPath, lAccess)
        If (iRet) Then
            sErrInfo = oWebSvc.ErrInfo
            CopyWeb = FAILURE
            Exit Function
        End If
             
        sWebVirtDirName = "MSCS_Images"
        sPath = sDestMscsPath & "\Server\Images"
        lAccess = ACCESS_READ
        iRet = oWebSvc.CreateWebVirtDir(sDestServer, rgServerBindings, sWebVirtDirName, sPath, lAccess)
        If (iRet) Then
            sErrInfo = oWebSvc.ErrInfo
            '// Don't Bother exiting as we will presume error is due to the fact
            '// that the /MSCS_Images WebVirtDir already exists on this oWebSvc
            '// this was only a precautionary step in case they forgot to create it.
            '// CopyWeb = FAILURE
            '// Exit Function
        End If
    End Select
        
    '// now stop and restart the w3svc for new aliases to be in effect
    '//if checkbox is checked then the services will start and stop
    '//otherwise they will not
    oAdsi.NameSpace = NAME_SPACE
    oAdsi.Domain = vbNullString
    oAdsi.Computer = sDestServer
        
    If (sDestWebRestart = True And sDestWebIIS4 = False) Then
       iRet = oAdsi.ServiceStop("w3svc")
       iRet = oAdsi.ServiceStart("w3svc")
    End If
    
    Set oRegistry = Nothing
    Set oUtility = Nothing
    Set oAdsi = Nothing
    CopyWeb = SUCCESS
    
    Exit Function
ErrorHandler:
    sErrInfo = Err.Number - vbObjectError & ", " & Err.Description & ", " & Err.LastDllError
    Resume Next
End Function

Public Function TestDbConn(sDbServer As String, sDbLogin As String, sDbPwd As String) As Integer
    On Error GoTo ErrorHandler
    sErrInfo = vbNullString
    
    Dim oDbServer           As New SQLOLE.SQLServer
    
    oDbServer.DisConnect '// in case object is currently open
    oDbServer.Connect sDbServer, sDbLogin, sDbPwd
    If Not (oDbServer.VerifyConnection(SQLOLEConn_CurrentState)) Then
        sErrInfo = "SQL Server connection failed"
        TestDbConn = FAILURE
        Exit Function
    End If
    
    oDbServer.Close
    Set oDbServer = Nothing
    TestDbConn = SUCCESS

    Exit Function
ErrorHandler:
    sErrInfo = Err.Number - vbObjectError & ", " & Err.Description & ", " & Err.LastDllError
    Resume Next
End Function

Public Function CreateDestDb() As Integer
    On Error GoTo ErrorHandler
    sErrInfo = vbNullString
    
    Dim sDbDevicePath       As String
    Dim sDbDataName         As String
    Dim sDbLogName          As String
    Dim sSqlCmd             As String
    Dim sSqlMsg             As String
    
    Dim oDbServer           As New SQLOLE.SQLServer
    Dim oDevice             As New SQLOLE.Device
    Dim oDatabase           As New SQLOLE.Database
    Dim oLogin              As New SQLOLE.Login
    Dim oUser               As New SQLOLE.User
    
    If (sSrcDbServer = vbNullString Or sSrcDbName = vbNullString Or _
        iSrcDbDataSize = 0 Or iSrcDbLogSize = 0 Or _
        sDestDbServer = vbNullString) Then
        sErrInfo = "One of the required properties is not Set."
        CreateDestDb = FAILURE
        Exit Function
    End If
    
    '// need some kind of asynchronous indicator to user at this point eluding to something happening
    '// investigate the use of the PercentComplete event along with a percentcomplete control
    '// displayed on the calling form
    
    '// create devices
    oDbServer.DisConnect '// in case object is currently open
    oDbServer.Connect sDestDbServer, "sa", sDestDbSaPwd
    If Not (oDbServer.VerifyConnection(SQLOLEConn_CurrentState)) Then
        sErrInfo = "SQL Server connection failed"
        Exit Function
    End If
    
    sDbDevicePath = oDbServer.Devices("master").PhysicalLocation
    sDbDevicePath = Left(sDbDevicePath, _
                    Len(sDbDevicePath) - Len("\master.dat"))
    
    sDbDataName = sSrcStore & "Data"
    sDbLogName = sSrcStore & "Log"
    
    bRet = True
    For Each oDevice In oDbServer.Devices
        If (oDevice.Name = sDbDataName) Then bRet = False
        If (oDevice.Name = sDbLogName) Then bRet = False
    Next
    Set oDevice = Nothing
    
    If (bRet) Then
        oDevice.Name = sDbDataName
        oDevice.PhysicalLocation = sDbDevicePath & "\" & sDbDataName & ".dat"
        oDevice.Type = SQLOLEDevice_Database
        oDevice.Size = iSrcDbDataSize
        Call oDbServer.Devices.Add(oDevice)
        Set oDevice = Nothing
        bRet = True
        For Each oDevice In oDbServer.Devices
            If (oDevice.Name = sDbDataName) Then bRet = False
        Next
        Set oDevice = Nothing
        If (bRet) Then
            sErrInfo = "Failed to create database device " & sDbDataName
            CreateDestDb = FAILURE
            Exit Function
        End If
        
        oDevice.Name = sDbLogName
        oDevice.PhysicalLocation = sDbDevicePath & "\" & sDbLogName & ".dat"
        oDevice.Type = SQLOLEDevice_Database
        oDevice.Size = iSrcDbLogSize
        Call oDbServer.Devices.Add(oDevice)
        Set oDevice = Nothing
        bRet = True
        For Each oDevice In oDbServer.Devices
            If (oDevice.Name = sDbDataName) Then bRet = False
        Next
        Set oDevice = Nothing
        If (bRet) Then
            sErrInfo = "Failed to create database device " & sDbLogName
            CreateDestDb = FAILURE
            Exit Function
        End If
    Else
        sErrInfo = "A device called  " & sDbDataName & " or " & sDbLogName & _
                   " already exists on the destination db server."
        CreateDestDb = FAILURE
        Exit Function
    End If
    
    '// create database
    bRet = True
    For Each oDatabase In oDbServer.Databases
        If (oDatabase.Name = sSrcDbName) Then bRet = False
    Next
    Set oDatabase = Nothing
    
    If (bRet) Then
        oDatabase.Name = sSrcDbName
        Call oDatabase.ExtendOnDevices(sDbDataName & "=" & iSrcDbDataSize)
        Call oDatabase.TransactionLog.DedicateLogDevices(sDbLogName & "=" & iSrcDbLogSize)
        Call oDbServer.Databases.Add(oDatabase)
        oDatabase.DBOption.SelectIntoBulkCopy = True
        oDatabase.DBOption.TruncateLogOnCheckpoint = True
        Set oDatabase = Nothing
        bRet = True
        For Each oDatabase In oDbServer.Databases
            If (oDatabase.Name = sSrcDbName) Then bRet = False
        Next
        Set oDatabase = Nothing
        If (bRet) Then
            sErrInfo = "creating destination database " & sSrcDbName & "failed."
            CreateDestDb = FAILURE
            Exit Function
        End If
    Else
        sErrInfo = "creating destination database " & sSrcDbName & "failed."
        CreateDestDb = FAILURE
        Exit Function
    End If
    
    '// add server login and database alias as dbo
    oDbServer.Devices.Refresh
    oDbServer.Databases.Refresh
    oDbServer.Logins.Refresh
    
    bRet = True
    For Each oLogin In oDbServer.Logins
        If (oLogin.Name = sSrcDbLogin) Then bRet = False
    Next
    Set oLogin = Nothing
    
    If (bRet) Then
        oLogin.Name = sSrcDbLogin
        oLogin.Database = sSrcDbName
        Call oLogin.SetPassword("", sSrcDbPwd)
        Call oDbServer.Logins.Add(oLogin)
        Set oLogin = Nothing
        bRet = True
        For Each oLogin In oDbServer.Logins
            If (oLogin.Name = sSrcDbLogin) Then bRet = False
        Next
        Set oLogin = Nothing
        If (bRet) Then
            sErrInfo = "failed to created destination database login " & sSrcDbLogin
            CreateDestDb = FAILURE
        End If
    Else
        sErrInfo = "destination db login " & sSrcDbLogin & " already exists."
    End If
    
    Set oUser = oDbServer.Databases(sSrcDbName).USERS("dbo")
    Call oUser.AddAlias(sSrcDbLogin)
    Set oUser = oDbServer.Databases("pubs").USERS("guest")
    Call oUser.AddAlias(sSrcDbLogin)
    Set oUser = Nothing
    
    oDbServer.Close
    Set oDbServer = Nothing
    CreateDestDb = SUCCESS

    Exit Function
ErrorHandler:
    sErrInfo = Err.Number - vbObjectError & ", " & Err.Description & ", " & Err.LastDllError
    Resume Next
End Function


Public Function CopyDb() As Integer
    On Error GoTo ErrorHandler
    sErrInfo = vbNullString
    
    Dim oDbServer           As New SQLOLE.SQLServer
    Dim oDatabase           As New SQLOLE.Database
    Dim oTransfer           As New SQLOLE.Transfer
    
    If (sSrcServer = vbNullString Or sSrcStore = vbNullString Or sDestServer = vbNullString) Then
        sErrInfo = "One of the required properties is not Set."
        CopyDb = FAILURE
        Exit Function
    End If
    
    '// need some kind of asynchronous indicator to user at this point eluding to something happening
    '// investigate the use of the PercentComplete event along with a percentcomplete control
    '// displayed on the calling form
    
    '// transfer sSrcDbName from sSrcDbServer to sDestDbServer
    oDbServer.DisConnect '// in case object is currently open
    oDbServer.Connect sSrcDbServer, sSrcDbLogin, sSrcDbPwd
    If Not (oDbServer.VerifyConnection(SQLOLEConn_CurrentState)) Then
        sErrInfo = "SQL Server connection failed"
        CopyDb = FAILURE
        Exit Function
    End If
    
    Set oDatabase = oDbServer.Databases(sSrcDbName)
    oTransfer.DestServer = sDestDbServer
    oTransfer.DestLogin = sSrcDbLogin
    oTransfer.DestPassword = sSrcDbPwd
    oTransfer.DestDatabase = sSrcDbName
    
    oTransfer.CopySchema = True
    oTransfer.CopyAllObjects = True
    oTransfer.DropDestObjectsFirst = True
    oTransfer.IncludeDependencies = True
    oTransfer.IncludeGroups = True
    oTransfer.IncludeLogins = True
    oTransfer.IncludeUsers = True
    oTransfer.ScriptType = SQLOLEScript_Default
    
    oTransfer.CopyData = SQLOLECopyData_Replace
    '// oTransfer.TypeOf = SQLOLEObj_AutoProperty
    oDatabase.ScriptTransfer oTransfer '// Transfer Schema
    oDatabase.Transfer oTransfer '// Transfer Data
    
    '// generate a SQL schema script for this database and write to disk
    '// just because we can 8)
    '// sErrInfo = oDatabase.Script(SQLOLEScript_Default, "c:\temp\" & sSrcDbName & ".sql")

    Set oTransfer = Nothing
    Set oDatabase = Nothing
    oDbServer.Close
    Set oDbServer = Nothing
    CopyDb = SUCCESS
    
    Exit Function
ErrorHandler:
    sErrInfo = Err.Number - vbObjectError & ", " & Err.Description & ", " & Err.LastDllError
    CopyDb = FAILURE
End Function

