VERSION 5.00
Begin VB.Form frmSrcServer 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   3555
   ClientLeft      =   150
   ClientTop       =   720
   ClientWidth     =   7530
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3555
   ScaleWidth      =   7530
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtSrcServer 
      Height          =   350
      Left            =   3600
      TabIndex        =   0
      Top             =   600
      Width           =   3000
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next >>"
      Default         =   -1  'True
      Height          =   390
      Left            =   5850
      TabIndex        =   3
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "<< &Back"
      Enabled         =   0   'False
      Height          =   390
      Left            =   3225
      TabIndex        =   1
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   390
      Left            =   4575
      TabIndex        =   2
      Top             =   3000
      Width           =   1065
   End
   Begin VB.Image Image1 
      Height          =   2820
      Left            =   300
      Stretch         =   -1  'True
      Top             =   300
      Width           =   2265
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00000000&
      DrawMode        =   1  'Blackness
      X1              =   2880
      X2              =   7425
      Y1              =   2775
      Y2              =   2775
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Enter a Source Store Server"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Left            =   3120
      TabIndex        =   4
      Top             =   960
      Width           =   4065
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Index           =   0
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About"
      End
   End
End
Attribute VB_Name = "frmSrcServer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    Me.Caption = MSGBOX_TITLE & " - Select Source Store Server"
    gbPingSrcServer = True
    gbEnumSrcStores = True
    Image1 = LoadPicture(gLogo)
    mnuHelpAbout.Caption = "About " & MSGBOX_TITLE
End Sub

Private Sub mnuHelpAbout_Click()
    Call MsgBox(MSGBOX_TITLE & " Version " & gsVersion, vbOKOnly, mnuHelpAbout.Caption)
End Sub


Private Sub cmdBack_Click()
    '// do nothing since this is the first form
    '// and thus the cmdBack button is disabled
    '// by default
End Sub

Private Sub cmdCancel_Click()
    End
End Sub

Private Sub cmdNext_Click()
    If (oUtility.ValidateBox(Me, txtSrcServer)) Then Exit Sub
    gsSrcServer = txtSrcServer.Text
    
    If (gbPingSrcServer) Then
        frmStatus.lblMessage = "Testing connection to " & Chr(34) & gsSrcServer & Chr(34)
        frmStatus.ProgressBar.Value = 10
        frmStatus.Show
        frmStatus.Refresh
        oUtility.Pause (PROGRESS_PAUSE)
        frmStatus.ProgressBar.Value = 35
        
        oAdsi.NameSpace = NAME_SPACE
        iRet = oAdsi.CheckIfExists(gsSrcServer)
        
        frmStatus.ProgressBar.Value = 75
        oUtility.Pause (PROGRESS_PAUSE)
        frmStatus.ProgressBar.Value = 100
        oUtility.Pause (PROGRESS_PAUSE)
        
        If (iRet = FAILURE) Then
            sErrInfo = "Contacting " & _
                         Chr(34) & gsSrcServer & Chr(34) & " " & _
                        "failed, please check that this server it is currently available."
            frmStatus.lblMessage = sErrInfo
            oUtility.Pause (ERROR_PAUSE)
            frmStatus.Hide
            Exit Sub
        Else
            frmStatus.lblMessage = "Connection to " & _
                 Chr(34) & gsSrcServer & Chr(34) & " " & _
                "was successful."
            gbPingSrcServer = False
            oUtility.Pause (INFO_PAUSE)
            frmStatus.Hide
        End If
    End If
    
    Call oUtility.MirrorForm(Me, frmSrcStore)
End Sub

Private Sub txtSrcServer_Change()
    gbPingSrcServer = True
    gbEnumSrcStores = True
    giRet = SUCCESS
End Sub
