VERSION 5.00
Begin VB.Form frmSrcStore 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   3555
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7530
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3555
   ScaleWidth      =   7530
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next >>"
      Default         =   -1  'True
      Height          =   390
      Left            =   5850
      TabIndex        =   3
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "<< &Back"
      Height          =   390
      Left            =   3225
      TabIndex        =   1
      Top             =   3000
      Width           =   1065
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   390
      Left            =   4575
      TabIndex        =   2
      Top             =   3000
      Width           =   1065
   End
   Begin VB.ListBox lstStore 
      BackColor       =   &H00FFFFFF&
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1260
      Left            =   3075
      Sorted          =   -1  'True
      TabIndex        =   0
      Tag             =   "Select a Store Type"
      Top             =   600
      Width           =   4065
   End
   Begin VB.Image Image1 
      Height          =   2820
      Left            =   300
      Stretch         =   -1  'True
      Top             =   300
      Width           =   2265
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00000000&
      DrawMode        =   1  'Blackness
      X1              =   2880
      X2              =   7425
      Y1              =   2775
      Y2              =   2775
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Select a Source Store to Copy"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Left            =   3120
      TabIndex        =   4
      Top             =   1890
      Width           =   4065
   End
End
Attribute VB_Name = "frmSrcStore"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Activate()
    Dim sStoreName As Variant
    Dim oStoreCopy As New icuStoreCopy.cStoreCopy
    Dim oStoreList As New Collection
    Dim oUtility As New icuStoreCopy.cUtility
    
    Me.Refresh '// repaint the screen
    
    If (gbEnumSrcStores And giRet = SUCCESS) Then
        lstStore.Clear
        frmStatus.lblMessage = "Retrieving the store list..."
        frmStatus.ProgressBar.Value = 20
        frmStatus.Show
        frmStatus.Refresh
        giRet = oStoreCopy.GetStoreList(gsSrcServer, oStoreList)
        If (giRet = FAILURE) Then
            frmStatus.lblMessage = oStoreCopy.ErrInfo
            oUtility.Pause (ERROR_PAUSE)
            frmStatus.Hide
            Exit Sub
        End If
        frmStatus.ProgressBar.Value = 75
        giRet = oUtility.Pause(PROGRESS_PAUSE)
        frmStatus.ProgressBar.Value = 100
        giRet = oUtility.Pause(PROGRESS_PAUSE)
        frmStatus.Hide
        For Each sStoreName In oStoreList
            If ((sStoreName <> vbNullString) And _
                (InStr(1, sStoreName, "_", vbBinaryCompare) = 0)) Then
                lstStore.AddItem sStoreName
            End If
        Next
        gbEnumSrcStores = False
        Set oStoreList = Nothing
        Set oStoreCopy = Nothing
    Else
        '// do nothing as we have already populated window
    End If
    
End Sub

Private Sub Form_Load()
    Me.Caption = MSGBOX_TITLE & " - Select Source Store"
    Image1 = LoadPicture(gLogo)
End Sub
    
Private Sub lstStore_Click()
    gsSrcStore = lstStore
End Sub

Private Sub lstStore_DblClick()
   Call oUtility.MirrorForm(Me, frmDestServer)
End Sub

Private Sub cmdBack_Click()
    Call oUtility.MirrorForm(Me, frmSrcServer)
End Sub

Private Sub cmdCancel_Click()
    End
End Sub

Private Sub cmdNext_Click()
    If (oUtility.ValidateBox(Me, lstStore)) Then Exit Sub
    gsSrcStore = lstStore
    Call oUtility.MirrorForm(Me, frmDestServer)
End Sub
