Attribute VB_Name = "modInitial"
Option Explicit

Public Const SUCCESS = 0
Public Const FAILURE = -1
Public Const NAME_SPACE = "WinNT"
Public Const MSGBOX_TITLE = "Store Copy Wizard"
Public Const PROGRESS_PAUSE = 1
Public Const INFO_PAUSE = 2
Public Const ERROR_PAUSE = 6

'// IIs4WebServer Constants
Public Const AUTH_DEFAULT = &H0
Public Const AUTH_ANON = &H1
Public Const AUTH_BASIC = &H2
Public Const AUTH_SSPI = &H4
Public Const AUTH_FRONTPG = &H8

'// IIs4WebVirtualDir Constants
Public Const ACCESS_DEFAULT = &H0
Public Const ACCESS_READ = &H1
Public Const ACCESS_SCRIPT = &H2
Public Const ACCESS_EXECUTE = &H4
Public Const ACCESS_DIRBROWSE = &H8

Public sErrInfo         As String
Public iRet             As Integer
Public bRet             As Boolean

Public gSplash          As String
Public gLogo            As String
Public gsSrcServer      As String
Public gsSrcDomain      As String
Public gbPingSrcServer  As Boolean
Public gbEnumSrcStores  As Boolean
Public giRet            As Integer
Public gbPingDestServer As Boolean
Public gbPingDestDbServer As Boolean
Public gsSrcStore       As String
Public gsDestServer     As String
Public gsDestDomain     As String
Public gsDestVirtualWeb As String
Public gsDestWebReStart As String
Public gsDestDbServer   As String
Public gsDestDbSaPwd    As String
Public gsError          As String
Public gsVersion        As String

Public oAdsi            As New icuStoreCopy.cAdsi
Public oFile            As New icuStoreCopy.cFile
Public oUtility         As New icuStoreCopy.cUtility

Sub Main()

    If App.PrevInstance Then
        Call MsgBox("An instance of this applicationis already loaded...closing down.", _
                     vbCritical, MSGBOX_TITLE)
        End
    End If

    gSplash = App.Path & "\Splash.jpg"
    gLogo = App.Path & "\Logo.jpg"
    gsVersion = App.Major & "." & App.Minor & "." & App.Revision
    
    frmSplash.Show
    oUtility.CenterMe frmSplash
    frmSplash.Refresh
    frmStatus.Hide
    frmSrcServer.Hide
    frmSrcStore.Hide
    frmDestServer.Hide
    frmDestDbServer.Hide
    frmStoreCopy.Hide
    frmSummary.Hide
    frmSrcServer.Show
    Unload frmSplash
    
    Set oAdsi = Nothing
    Set oFile = Nothing
    Set oUtility = Nothing

End Sub

